


#ifndef _MotorController_H
#define _MotorController_H

#ifdef _MotorController_C
#define _PUB_MotorController
#else
#define _PUB_MotorController extern
#endif

typedef struct Tipo_MotorController	MotorController;


#include "MotorOperator.h"
#include "VelocitySensor.h"

				
				
			
				
					
struct Tipo_MotorController{
	MotorOperator motorOperator 
;
	VelocitySensor velocitySensor 
;
	int 		 state 
;
	int 		 actualSpeed 
;
	int 		 bemf1 
;
	int 		 bemf2 
;
	int 		 motorCurrent 
;
};

/*************************************************************
  	Descripcion: MotorController_init()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_MotorController 
	void 	  MotorController_init( 	MotorController  *objeto )

;
/*************************************************************
  	Descripcion: MotorController_executeState()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_MotorController 
	void 	  MotorController_executeState( 	MotorController  *objeto )

;
/*************************************************************
  	Descripcion: MotorController_monitor()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_MotorController 
	void 	  MotorController_monitor( 	MotorController  *objeto )

;
/*************************************************************
  	Descripcion: MotorController_currentOverload()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_MotorController 
	void 	  MotorController_currentOverload( 	MotorController  *objeto )

;
/*************************************************************
  	Descripcion: MotorController_sampleMotorCurrent()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_MotorController 
	void 	  MotorController_sampleMotorCurrent( 	MotorController  *objeto )

;
/*************************************************************
  	Descripcion: MotorController_sample()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_MotorController 
	void 	  MotorController_sample( 	MotorController  *objeto )

;

#endif

			