
#include "inc/hw_types.h"
#include "driverlib/sysctl.h"
#include "driverlib/systick.h"
#include "inc/hw_memmap.h"
#include "driverlib/gpio.h"
#include "inc/hw_ints.h"


#include "processor.h"


void PROCESSOR_init(){
	//125ns
	SysCtlClockSet(SYSCTL_SYSDIV_1 | SYSCTL_USE_OSC | SYSCTL_OSC_MAIN |SYSCTL_XTAL_8MHZ);
}

/*
 * Se interrumpe cada 125us
 */
void
SysTick_Handler(void)
{
	SCHEDULER_update();
}



