#ifndef DISPLAY_H
#define DISPLAY_H



#define MAX_COLUMNS 21
#define MAX_LINES 12

#define NORMAL_TEXT 15
#define BOLD_TEXT 30

void DISPLAY_OLED_init(void);
void DISPLAY_OLED_close(void);

void DISPLAY_OLED_refresh(void);
void DISPLAY_OLED_eraseConsoleLine(int y);
void DISPLAY_OLED_writeText(int x , int y , char *str);
void DISPLAY_OLED_writeImage(int x , int y , char *imageFile);
void DISPLAY_OLED_refreshConsoleLine(int y);
void DISPLAY_OLED_eraseConsoleLine(int y);

#endif
