#include "inc/hw_types.h"
#include "inc/hw_memmap.h"
#include "driverlib/sysctl.h"
#include "inc/hw_gpio.h"
#include "driverlib/gpio.h"
#include "leds.h"

void LEDS_init(){
	// Configure the GPIO that drives the on-board LED.
	SysCtlPeripheralEnable(SYSCTL_PERIPH_GPIOF);
	// Configure the GPIO that drives the on-board LED.
	GPIOPinTypeGPIOOutput(GPIO_PORTF_BASE, GPIO_PIN_0);
	GPIOPinTypeGPIOOutput(GPIO_PORTF_BASE, GPIO_PIN_2);
	GPIOPinTypeGPIOOutput(GPIO_PORTF_BASE, GPIO_PIN_3);
}

void LEDS_setOn(int ledNUmber ){

	 GPIOPinWrite(GPIO_PORTF_BASE, GPIO_PIN_0, GPIO_PIN_0);
	 GPIOPinWrite(GPIO_PORTF_BASE, GPIO_PIN_2, 0);
	 GPIOPinWrite(GPIO_PORTF_BASE, GPIO_PIN_3, 0);
}

void LEDS_setOff(int ledNUmber ){

	 GPIOPinWrite(GPIO_PORTF_BASE, GPIO_PIN_0, 0);
	 GPIOPinWrite(GPIO_PORTF_BASE, GPIO_PIN_2, GPIO_PIN_2);
	 GPIOPinWrite(GPIO_PORTF_BASE, GPIO_PIN_3, GPIO_PIN_3);
}

