
#ifndef STATIC_CIRCULAR_BUFFER_H
#define STATIC_CIRCULAR_BUFFER_H

#define MAX_BUFFER 1024

typedef struct {
	//BUFFER CIRCULAR
	unsigned char Buffer[MAX_BUFFER];
	unsigned int  tail;
	unsigned int  head;
	unsigned int length;
	unsigned char empty;
	unsigned char writing;//HAU EZ DAKIT DAN BEHARREZKOA
}STATIC_CIRCULAR_BUFFER;

void STATIC_CIRCULAR_BUFFER_init(STATIC_CIRCULAR_BUFFER *obj);
unsigned int STATIC_CIRCULAR_BUFFER_insertChar(STATIC_CIRCULAR_BUFFER *obj , unsigned char );
unsigned int  STATIC_CIRCULAR_BUFFER_insertChars(STATIC_CIRCULAR_BUFFER *obj , unsigned char *, unsigned int);
unsigned char STATIC_CIRCULAR_BUFFER_readChar(STATIC_CIRCULAR_BUFFER *obj );
unsigned int STATIC_CIRCULAR_BUFFER_readChars(STATIC_CIRCULAR_BUFFER *obj , unsigned char * );
unsigned int STATIC_CIRCULAR_BUFFER_freeDataCount(STATIC_CIRCULAR_BUFFER *obj);
unsigned int STATIC_CIRCULAR_BUFFER_dataCount(STATIC_CIRCULAR_BUFFER *obj);
unsigned int STATIC_CIRCULAR_BUFFER_existChar(STATIC_CIRCULAR_BUFFER *obj, char car);

#endif
