


#ifndef _PuertaInterfaceCabina_H
#define _PuertaInterfaceCabina_H

#ifdef _PuertaInterfaceCabina_C
#define _PUB_PuertaInterfaceCabina
#else
#define _PUB_PuertaInterfaceCabina extern
#endif

typedef struct Tipo_InterfaceCabina	InterfaceCabina;


#include "PuertaCabinaImpl.h"
#include "MANIOBRAAppMANIOBRA.h"

				
				
			
				
					
struct Tipo_InterfaceCabina{
	CabinaImpl  *CabinaImpl 
;
};

/*************************************************************
  	Descripcion: deseoAperturaAccesoAP()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  deseoAperturaAccesoAP( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: deseoAperturaPorRescate()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  deseoAperturaPorRescate( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: acc_entrada_1()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	void 	  acc_entrada_1( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: getModoCabina()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BYTE  getModoCabina( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: hayRetrocesoPiso()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  hayRetrocesoPiso( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: cargaCC()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  cargaCC( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: cargaSC()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  cargaSC( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: activado_IR_PISO()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  activado_IR_PISO( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: condiRetrocesoMec()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  condiRetrocesoMec( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: posibleRetrocesoIRenRevision()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  posibleRetrocesoIRenRevision( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: cabinaMarchaPuertasCerradas()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  cabinaMarchaPuertasCerradas( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: cabinaEnRevision()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  cabinaEnRevision( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: siBomberoConAnulacionONoIncendio()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  siBomberoConAnulacionONoIncendio( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: condicionPuertaP36Correcta()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  condicionPuertaP36Correcta( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: esFaseIIyAnulacionAccesos()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  esFaseIIyAnulacionAccesos( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: sePuedeAbrirEnBombero()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  sePuedeAbrirEnBombero( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: esAllgoritmoXXX()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  esAllgoritmoXXX( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: esPisoNormal()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  esPisoNormal( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: esEmergencia()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  esEmergencia( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: cabinaCerradaEnNormalyPisoEspecial()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  cabinaCerradaEnNormalyPisoEspecial( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: parametroRetrocesosIR()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BYTE  parametroRetrocesosIR( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: maxRecIRCerrando()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BYTE  maxRecIRCerrando( 	InterfaceCabina  *objeto )

;
/*************************************************************
  	Descripcion: p35()
  	Param:
  	Return:
  	Data
 **************************************************************/
	_PUB_PuertaInterfaceCabina 
	BOOLEAN  p35( 	InterfaceCabina  *objeto )

;

#endif

			