package org.xtext.ui.contentassist.antlr.internal; 

import java.io.InputStream;
import org.eclipse.xtext.*;
import org.eclipse.xtext.parser.*;
import org.eclipse.xtext.parser.impl.*;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import org.eclipse.xtext.parser.antlr.XtextTokenStream.HiddenTokens;
import org.eclipse.xtext.ui.editor.contentassist.antlr.internal.AbstractInternalContentAssistParser;
import org.eclipse.xtext.ui.editor.contentassist.antlr.internal.DFA;
import org.xtext.services.SimpleComponentsGrammarAccess;



import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings("all")
public class InternalSimpleComponentsParser extends AbstractInternalContentAssistParser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "RULE_STRING", "RULE_ID", "RULE_INT", "RULE_ML_COMMENT", "RULE_SL_COMMENT", "RULE_WS", "RULE_ANY_OTHER", "'System'", "'{'", "'components'", "'}'", "','", "'connectors'", "'Component'", "'ports'", "'Connector'", "'endA'", "'endB'", "'Port'"
    };
    public static final int RULE_ID=5;
    public static final int T__22=22;
    public static final int RULE_ANY_OTHER=10;
    public static final int T__21=21;
    public static final int T__20=20;
    public static final int RULE_SL_COMMENT=8;
    public static final int EOF=-1;
    public static final int RULE_ML_COMMENT=7;
    public static final int T__19=19;
    public static final int RULE_STRING=4;
    public static final int T__16=16;
    public static final int T__15=15;
    public static final int T__18=18;
    public static final int T__17=17;
    public static final int T__12=12;
    public static final int T__11=11;
    public static final int T__14=14;
    public static final int T__13=13;
    public static final int RULE_INT=6;
    public static final int RULE_WS=9;

    // delegates
    // delegators


        public InternalSimpleComponentsParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public InternalSimpleComponentsParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
             
        }
        

    public String[] getTokenNames() { return InternalSimpleComponentsParser.tokenNames; }
    public String getGrammarFileName() { return "../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g"; }


     
     	private SimpleComponentsGrammarAccess grammarAccess;
     	
        public void setGrammarAccess(SimpleComponentsGrammarAccess grammarAccess) {
        	this.grammarAccess = grammarAccess;
        }
        
        @Override
        protected Grammar getGrammar() {
        	return grammarAccess.getGrammar();
        }
        
        @Override
        protected String getValueForTokenName(String tokenName) {
        	return tokenName;
        }




    // $ANTLR start "entryRuleSystem"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:60:1: entryRuleSystem : ruleSystem EOF ;
    public final void entryRuleSystem() throws RecognitionException {
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:61:1: ( ruleSystem EOF )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:62:1: ruleSystem EOF
            {
             before(grammarAccess.getSystemRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleSystem_in_entryRuleSystem61);
            ruleSystem();

            state._fsp--;

             after(grammarAccess.getSystemRule()); 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleSystem68); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "entryRuleSystem"


    // $ANTLR start "ruleSystem"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:69:1: ruleSystem : ( ( rule__System__Group__0 ) ) ;
    public final void ruleSystem() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:73:2: ( ( ( rule__System__Group__0 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:74:1: ( ( rule__System__Group__0 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:74:1: ( ( rule__System__Group__0 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:75:1: ( rule__System__Group__0 )
            {
             before(grammarAccess.getSystemAccess().getGroup()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:76:1: ( rule__System__Group__0 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:76:2: rule__System__Group__0
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group__0_in_ruleSystem94);
            rule__System__Group__0();

            state._fsp--;


            }

             after(grammarAccess.getSystemAccess().getGroup()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "ruleSystem"


    // $ANTLR start "entryRuleComponent"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:88:1: entryRuleComponent : ruleComponent EOF ;
    public final void entryRuleComponent() throws RecognitionException {
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:89:1: ( ruleComponent EOF )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:90:1: ruleComponent EOF
            {
             before(grammarAccess.getComponentRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleComponent_in_entryRuleComponent121);
            ruleComponent();

            state._fsp--;

             after(grammarAccess.getComponentRule()); 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleComponent128); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "entryRuleComponent"


    // $ANTLR start "ruleComponent"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:97:1: ruleComponent : ( ( rule__Component__Group__0 ) ) ;
    public final void ruleComponent() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:101:2: ( ( ( rule__Component__Group__0 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:102:1: ( ( rule__Component__Group__0 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:102:1: ( ( rule__Component__Group__0 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:103:1: ( rule__Component__Group__0 )
            {
             before(grammarAccess.getComponentAccess().getGroup()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:104:1: ( rule__Component__Group__0 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:104:2: rule__Component__Group__0
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__0_in_ruleComponent154);
            rule__Component__Group__0();

            state._fsp--;


            }

             after(grammarAccess.getComponentAccess().getGroup()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "ruleComponent"


    // $ANTLR start "entryRuleConnector"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:116:1: entryRuleConnector : ruleConnector EOF ;
    public final void entryRuleConnector() throws RecognitionException {
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:117:1: ( ruleConnector EOF )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:118:1: ruleConnector EOF
            {
             before(grammarAccess.getConnectorRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleConnector_in_entryRuleConnector181);
            ruleConnector();

            state._fsp--;

             after(grammarAccess.getConnectorRule()); 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleConnector188); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "entryRuleConnector"


    // $ANTLR start "ruleConnector"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:125:1: ruleConnector : ( ( rule__Connector__Group__0 ) ) ;
    public final void ruleConnector() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:129:2: ( ( ( rule__Connector__Group__0 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:130:1: ( ( rule__Connector__Group__0 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:130:1: ( ( rule__Connector__Group__0 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:131:1: ( rule__Connector__Group__0 )
            {
             before(grammarAccess.getConnectorAccess().getGroup()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:132:1: ( rule__Connector__Group__0 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:132:2: rule__Connector__Group__0
            {
            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__0_in_ruleConnector214);
            rule__Connector__Group__0();

            state._fsp--;


            }

             after(grammarAccess.getConnectorAccess().getGroup()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "ruleConnector"


    // $ANTLR start "entryRulePort"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:144:1: entryRulePort : rulePort EOF ;
    public final void entryRulePort() throws RecognitionException {
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:145:1: ( rulePort EOF )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:146:1: rulePort EOF
            {
             before(grammarAccess.getPortRule()); 
            pushFollow(FollowSets000.FOLLOW_rulePort_in_entryRulePort241);
            rulePort();

            state._fsp--;

             after(grammarAccess.getPortRule()); 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRulePort248); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "entryRulePort"


    // $ANTLR start "rulePort"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:153:1: rulePort : ( ( rule__Port__Group__0 ) ) ;
    public final void rulePort() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:157:2: ( ( ( rule__Port__Group__0 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:158:1: ( ( rule__Port__Group__0 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:158:1: ( ( rule__Port__Group__0 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:159:1: ( rule__Port__Group__0 )
            {
             before(grammarAccess.getPortAccess().getGroup()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:160:1: ( rule__Port__Group__0 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:160:2: rule__Port__Group__0
            {
            pushFollow(FollowSets000.FOLLOW_rule__Port__Group__0_in_rulePort274);
            rule__Port__Group__0();

            state._fsp--;


            }

             after(grammarAccess.getPortAccess().getGroup()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rulePort"


    // $ANTLR start "entryRuleEString"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:172:1: entryRuleEString : ruleEString EOF ;
    public final void entryRuleEString() throws RecognitionException {
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:173:1: ( ruleEString EOF )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:174:1: ruleEString EOF
            {
             before(grammarAccess.getEStringRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_entryRuleEString301);
            ruleEString();

            state._fsp--;

             after(grammarAccess.getEStringRule()); 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleEString308); 

            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {
        }
        return ;
    }
    // $ANTLR end "entryRuleEString"


    // $ANTLR start "ruleEString"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:181:1: ruleEString : ( ( rule__EString__Alternatives ) ) ;
    public final void ruleEString() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:185:2: ( ( ( rule__EString__Alternatives ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:186:1: ( ( rule__EString__Alternatives ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:186:1: ( ( rule__EString__Alternatives ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:187:1: ( rule__EString__Alternatives )
            {
             before(grammarAccess.getEStringAccess().getAlternatives()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:188:1: ( rule__EString__Alternatives )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:188:2: rule__EString__Alternatives
            {
            pushFollow(FollowSets000.FOLLOW_rule__EString__Alternatives_in_ruleEString334);
            rule__EString__Alternatives();

            state._fsp--;


            }

             after(grammarAccess.getEStringAccess().getAlternatives()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "ruleEString"


    // $ANTLR start "rule__EString__Alternatives"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:200:1: rule__EString__Alternatives : ( ( RULE_STRING ) | ( RULE_ID ) );
    public final void rule__EString__Alternatives() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:204:1: ( ( RULE_STRING ) | ( RULE_ID ) )
            int alt1=2;
            int LA1_0 = input.LA(1);

            if ( (LA1_0==RULE_STRING) ) {
                alt1=1;
            }
            else if ( (LA1_0==RULE_ID) ) {
                alt1=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 1, 0, input);

                throw nvae;
            }
            switch (alt1) {
                case 1 :
                    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:205:1: ( RULE_STRING )
                    {
                    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:205:1: ( RULE_STRING )
                    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:206:1: RULE_STRING
                    {
                     before(grammarAccess.getEStringAccess().getSTRINGTerminalRuleCall_0()); 
                    match(input,RULE_STRING,FollowSets000.FOLLOW_RULE_STRING_in_rule__EString__Alternatives370); 
                     after(grammarAccess.getEStringAccess().getSTRINGTerminalRuleCall_0()); 

                    }


                    }
                    break;
                case 2 :
                    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:211:6: ( RULE_ID )
                    {
                    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:211:6: ( RULE_ID )
                    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:212:1: RULE_ID
                    {
                     before(grammarAccess.getEStringAccess().getIDTerminalRuleCall_1()); 
                    match(input,RULE_ID,FollowSets000.FOLLOW_RULE_ID_in_rule__EString__Alternatives387); 
                     after(grammarAccess.getEStringAccess().getIDTerminalRuleCall_1()); 

                    }


                    }
                    break;

            }
        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__EString__Alternatives"


    // $ANTLR start "rule__System__Group__0"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:224:1: rule__System__Group__0 : rule__System__Group__0__Impl rule__System__Group__1 ;
    public final void rule__System__Group__0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:228:1: ( rule__System__Group__0__Impl rule__System__Group__1 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:229:2: rule__System__Group__0__Impl rule__System__Group__1
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group__0__Impl_in_rule__System__Group__0417);
            rule__System__Group__0__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group__1_in_rule__System__Group__0420);
            rule__System__Group__1();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__0"


    // $ANTLR start "rule__System__Group__0__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:236:1: rule__System__Group__0__Impl : ( 'System' ) ;
    public final void rule__System__Group__0__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:240:1: ( ( 'System' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:241:1: ( 'System' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:241:1: ( 'System' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:242:1: 'System'
            {
             before(grammarAccess.getSystemAccess().getSystemKeyword_0()); 
            match(input,11,FollowSets000.FOLLOW_11_in_rule__System__Group__0__Impl448); 
             after(grammarAccess.getSystemAccess().getSystemKeyword_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__0__Impl"


    // $ANTLR start "rule__System__Group__1"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:255:1: rule__System__Group__1 : rule__System__Group__1__Impl rule__System__Group__2 ;
    public final void rule__System__Group__1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:259:1: ( rule__System__Group__1__Impl rule__System__Group__2 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:260:2: rule__System__Group__1__Impl rule__System__Group__2
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group__1__Impl_in_rule__System__Group__1479);
            rule__System__Group__1__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group__2_in_rule__System__Group__1482);
            rule__System__Group__2();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__1"


    // $ANTLR start "rule__System__Group__1__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:267:1: rule__System__Group__1__Impl : ( '{' ) ;
    public final void rule__System__Group__1__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:271:1: ( ( '{' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:272:1: ( '{' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:272:1: ( '{' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:273:1: '{'
            {
             before(grammarAccess.getSystemAccess().getLeftCurlyBracketKeyword_1()); 
            match(input,12,FollowSets000.FOLLOW_12_in_rule__System__Group__1__Impl510); 
             after(grammarAccess.getSystemAccess().getLeftCurlyBracketKeyword_1()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__1__Impl"


    // $ANTLR start "rule__System__Group__2"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:286:1: rule__System__Group__2 : rule__System__Group__2__Impl rule__System__Group__3 ;
    public final void rule__System__Group__2() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:290:1: ( rule__System__Group__2__Impl rule__System__Group__3 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:291:2: rule__System__Group__2__Impl rule__System__Group__3
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group__2__Impl_in_rule__System__Group__2541);
            rule__System__Group__2__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group__3_in_rule__System__Group__2544);
            rule__System__Group__3();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__2"


    // $ANTLR start "rule__System__Group__2__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:298:1: rule__System__Group__2__Impl : ( 'components' ) ;
    public final void rule__System__Group__2__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:302:1: ( ( 'components' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:303:1: ( 'components' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:303:1: ( 'components' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:304:1: 'components'
            {
             before(grammarAccess.getSystemAccess().getComponentsKeyword_2()); 
            match(input,13,FollowSets000.FOLLOW_13_in_rule__System__Group__2__Impl572); 
             after(grammarAccess.getSystemAccess().getComponentsKeyword_2()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__2__Impl"


    // $ANTLR start "rule__System__Group__3"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:317:1: rule__System__Group__3 : rule__System__Group__3__Impl rule__System__Group__4 ;
    public final void rule__System__Group__3() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:321:1: ( rule__System__Group__3__Impl rule__System__Group__4 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:322:2: rule__System__Group__3__Impl rule__System__Group__4
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group__3__Impl_in_rule__System__Group__3603);
            rule__System__Group__3__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group__4_in_rule__System__Group__3606);
            rule__System__Group__4();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__3"


    // $ANTLR start "rule__System__Group__3__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:329:1: rule__System__Group__3__Impl : ( '{' ) ;
    public final void rule__System__Group__3__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:333:1: ( ( '{' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:334:1: ( '{' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:334:1: ( '{' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:335:1: '{'
            {
             before(grammarAccess.getSystemAccess().getLeftCurlyBracketKeyword_3()); 
            match(input,12,FollowSets000.FOLLOW_12_in_rule__System__Group__3__Impl634); 
             after(grammarAccess.getSystemAccess().getLeftCurlyBracketKeyword_3()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__3__Impl"


    // $ANTLR start "rule__System__Group__4"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:348:1: rule__System__Group__4 : rule__System__Group__4__Impl rule__System__Group__5 ;
    public final void rule__System__Group__4() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:352:1: ( rule__System__Group__4__Impl rule__System__Group__5 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:353:2: rule__System__Group__4__Impl rule__System__Group__5
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group__4__Impl_in_rule__System__Group__4665);
            rule__System__Group__4__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group__5_in_rule__System__Group__4668);
            rule__System__Group__5();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__4"


    // $ANTLR start "rule__System__Group__4__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:360:1: rule__System__Group__4__Impl : ( ( rule__System__ComponentsAssignment_4 ) ) ;
    public final void rule__System__Group__4__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:364:1: ( ( ( rule__System__ComponentsAssignment_4 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:365:1: ( ( rule__System__ComponentsAssignment_4 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:365:1: ( ( rule__System__ComponentsAssignment_4 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:366:1: ( rule__System__ComponentsAssignment_4 )
            {
             before(grammarAccess.getSystemAccess().getComponentsAssignment_4()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:367:1: ( rule__System__ComponentsAssignment_4 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:367:2: rule__System__ComponentsAssignment_4
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__ComponentsAssignment_4_in_rule__System__Group__4__Impl695);
            rule__System__ComponentsAssignment_4();

            state._fsp--;


            }

             after(grammarAccess.getSystemAccess().getComponentsAssignment_4()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__4__Impl"


    // $ANTLR start "rule__System__Group__5"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:377:1: rule__System__Group__5 : rule__System__Group__5__Impl rule__System__Group__6 ;
    public final void rule__System__Group__5() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:381:1: ( rule__System__Group__5__Impl rule__System__Group__6 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:382:2: rule__System__Group__5__Impl rule__System__Group__6
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group__5__Impl_in_rule__System__Group__5725);
            rule__System__Group__5__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group__6_in_rule__System__Group__5728);
            rule__System__Group__6();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__5"


    // $ANTLR start "rule__System__Group__5__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:389:1: rule__System__Group__5__Impl : ( ( rule__System__Group_5__0 )* ) ;
    public final void rule__System__Group__5__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:393:1: ( ( ( rule__System__Group_5__0 )* ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:394:1: ( ( rule__System__Group_5__0 )* )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:394:1: ( ( rule__System__Group_5__0 )* )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:395:1: ( rule__System__Group_5__0 )*
            {
             before(grammarAccess.getSystemAccess().getGroup_5()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:396:1: ( rule__System__Group_5__0 )*
            loop2:
            do {
                int alt2=2;
                int LA2_0 = input.LA(1);

                if ( (LA2_0==15) ) {
                    alt2=1;
                }


                switch (alt2) {
            	case 1 :
            	    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:396:2: rule__System__Group_5__0
            	    {
            	    pushFollow(FollowSets000.FOLLOW_rule__System__Group_5__0_in_rule__System__Group__5__Impl755);
            	    rule__System__Group_5__0();

            	    state._fsp--;


            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);

             after(grammarAccess.getSystemAccess().getGroup_5()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__5__Impl"


    // $ANTLR start "rule__System__Group__6"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:406:1: rule__System__Group__6 : rule__System__Group__6__Impl rule__System__Group__7 ;
    public final void rule__System__Group__6() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:410:1: ( rule__System__Group__6__Impl rule__System__Group__7 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:411:2: rule__System__Group__6__Impl rule__System__Group__7
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group__6__Impl_in_rule__System__Group__6786);
            rule__System__Group__6__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group__7_in_rule__System__Group__6789);
            rule__System__Group__7();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__6"


    // $ANTLR start "rule__System__Group__6__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:418:1: rule__System__Group__6__Impl : ( '}' ) ;
    public final void rule__System__Group__6__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:422:1: ( ( '}' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:423:1: ( '}' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:423:1: ( '}' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:424:1: '}'
            {
             before(grammarAccess.getSystemAccess().getRightCurlyBracketKeyword_6()); 
            match(input,14,FollowSets000.FOLLOW_14_in_rule__System__Group__6__Impl817); 
             after(grammarAccess.getSystemAccess().getRightCurlyBracketKeyword_6()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__6__Impl"


    // $ANTLR start "rule__System__Group__7"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:437:1: rule__System__Group__7 : rule__System__Group__7__Impl rule__System__Group__8 ;
    public final void rule__System__Group__7() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:441:1: ( rule__System__Group__7__Impl rule__System__Group__8 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:442:2: rule__System__Group__7__Impl rule__System__Group__8
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group__7__Impl_in_rule__System__Group__7848);
            rule__System__Group__7__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group__8_in_rule__System__Group__7851);
            rule__System__Group__8();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__7"


    // $ANTLR start "rule__System__Group__7__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:449:1: rule__System__Group__7__Impl : ( ( rule__System__Group_7__0 )? ) ;
    public final void rule__System__Group__7__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:453:1: ( ( ( rule__System__Group_7__0 )? ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:454:1: ( ( rule__System__Group_7__0 )? )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:454:1: ( ( rule__System__Group_7__0 )? )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:455:1: ( rule__System__Group_7__0 )?
            {
             before(grammarAccess.getSystemAccess().getGroup_7()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:456:1: ( rule__System__Group_7__0 )?
            int alt3=2;
            int LA3_0 = input.LA(1);

            if ( (LA3_0==16) ) {
                alt3=1;
            }
            switch (alt3) {
                case 1 :
                    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:456:2: rule__System__Group_7__0
                    {
                    pushFollow(FollowSets000.FOLLOW_rule__System__Group_7__0_in_rule__System__Group__7__Impl878);
                    rule__System__Group_7__0();

                    state._fsp--;


                    }
                    break;

            }

             after(grammarAccess.getSystemAccess().getGroup_7()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__7__Impl"


    // $ANTLR start "rule__System__Group__8"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:466:1: rule__System__Group__8 : rule__System__Group__8__Impl ;
    public final void rule__System__Group__8() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:470:1: ( rule__System__Group__8__Impl )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:471:2: rule__System__Group__8__Impl
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group__8__Impl_in_rule__System__Group__8909);
            rule__System__Group__8__Impl();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__8"


    // $ANTLR start "rule__System__Group__8__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:477:1: rule__System__Group__8__Impl : ( '}' ) ;
    public final void rule__System__Group__8__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:481:1: ( ( '}' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:482:1: ( '}' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:482:1: ( '}' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:483:1: '}'
            {
             before(grammarAccess.getSystemAccess().getRightCurlyBracketKeyword_8()); 
            match(input,14,FollowSets000.FOLLOW_14_in_rule__System__Group__8__Impl937); 
             after(grammarAccess.getSystemAccess().getRightCurlyBracketKeyword_8()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group__8__Impl"


    // $ANTLR start "rule__System__Group_5__0"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:514:1: rule__System__Group_5__0 : rule__System__Group_5__0__Impl rule__System__Group_5__1 ;
    public final void rule__System__Group_5__0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:518:1: ( rule__System__Group_5__0__Impl rule__System__Group_5__1 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:519:2: rule__System__Group_5__0__Impl rule__System__Group_5__1
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group_5__0__Impl_in_rule__System__Group_5__0986);
            rule__System__Group_5__0__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group_5__1_in_rule__System__Group_5__0989);
            rule__System__Group_5__1();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_5__0"


    // $ANTLR start "rule__System__Group_5__0__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:526:1: rule__System__Group_5__0__Impl : ( ',' ) ;
    public final void rule__System__Group_5__0__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:530:1: ( ( ',' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:531:1: ( ',' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:531:1: ( ',' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:532:1: ','
            {
             before(grammarAccess.getSystemAccess().getCommaKeyword_5_0()); 
            match(input,15,FollowSets000.FOLLOW_15_in_rule__System__Group_5__0__Impl1017); 
             after(grammarAccess.getSystemAccess().getCommaKeyword_5_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_5__0__Impl"


    // $ANTLR start "rule__System__Group_5__1"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:545:1: rule__System__Group_5__1 : rule__System__Group_5__1__Impl ;
    public final void rule__System__Group_5__1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:549:1: ( rule__System__Group_5__1__Impl )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:550:2: rule__System__Group_5__1__Impl
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group_5__1__Impl_in_rule__System__Group_5__11048);
            rule__System__Group_5__1__Impl();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_5__1"


    // $ANTLR start "rule__System__Group_5__1__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:556:1: rule__System__Group_5__1__Impl : ( ( rule__System__ComponentsAssignment_5_1 ) ) ;
    public final void rule__System__Group_5__1__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:560:1: ( ( ( rule__System__ComponentsAssignment_5_1 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:561:1: ( ( rule__System__ComponentsAssignment_5_1 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:561:1: ( ( rule__System__ComponentsAssignment_5_1 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:562:1: ( rule__System__ComponentsAssignment_5_1 )
            {
             before(grammarAccess.getSystemAccess().getComponentsAssignment_5_1()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:563:1: ( rule__System__ComponentsAssignment_5_1 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:563:2: rule__System__ComponentsAssignment_5_1
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__ComponentsAssignment_5_1_in_rule__System__Group_5__1__Impl1075);
            rule__System__ComponentsAssignment_5_1();

            state._fsp--;


            }

             after(grammarAccess.getSystemAccess().getComponentsAssignment_5_1()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_5__1__Impl"


    // $ANTLR start "rule__System__Group_7__0"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:577:1: rule__System__Group_7__0 : rule__System__Group_7__0__Impl rule__System__Group_7__1 ;
    public final void rule__System__Group_7__0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:581:1: ( rule__System__Group_7__0__Impl rule__System__Group_7__1 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:582:2: rule__System__Group_7__0__Impl rule__System__Group_7__1
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group_7__0__Impl_in_rule__System__Group_7__01109);
            rule__System__Group_7__0__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group_7__1_in_rule__System__Group_7__01112);
            rule__System__Group_7__1();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7__0"


    // $ANTLR start "rule__System__Group_7__0__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:589:1: rule__System__Group_7__0__Impl : ( 'connectors' ) ;
    public final void rule__System__Group_7__0__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:593:1: ( ( 'connectors' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:594:1: ( 'connectors' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:594:1: ( 'connectors' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:595:1: 'connectors'
            {
             before(grammarAccess.getSystemAccess().getConnectorsKeyword_7_0()); 
            match(input,16,FollowSets000.FOLLOW_16_in_rule__System__Group_7__0__Impl1140); 
             after(grammarAccess.getSystemAccess().getConnectorsKeyword_7_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7__0__Impl"


    // $ANTLR start "rule__System__Group_7__1"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:608:1: rule__System__Group_7__1 : rule__System__Group_7__1__Impl rule__System__Group_7__2 ;
    public final void rule__System__Group_7__1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:612:1: ( rule__System__Group_7__1__Impl rule__System__Group_7__2 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:613:2: rule__System__Group_7__1__Impl rule__System__Group_7__2
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group_7__1__Impl_in_rule__System__Group_7__11171);
            rule__System__Group_7__1__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group_7__2_in_rule__System__Group_7__11174);
            rule__System__Group_7__2();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7__1"


    // $ANTLR start "rule__System__Group_7__1__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:620:1: rule__System__Group_7__1__Impl : ( '{' ) ;
    public final void rule__System__Group_7__1__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:624:1: ( ( '{' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:625:1: ( '{' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:625:1: ( '{' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:626:1: '{'
            {
             before(grammarAccess.getSystemAccess().getLeftCurlyBracketKeyword_7_1()); 
            match(input,12,FollowSets000.FOLLOW_12_in_rule__System__Group_7__1__Impl1202); 
             after(grammarAccess.getSystemAccess().getLeftCurlyBracketKeyword_7_1()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7__1__Impl"


    // $ANTLR start "rule__System__Group_7__2"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:639:1: rule__System__Group_7__2 : rule__System__Group_7__2__Impl rule__System__Group_7__3 ;
    public final void rule__System__Group_7__2() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:643:1: ( rule__System__Group_7__2__Impl rule__System__Group_7__3 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:644:2: rule__System__Group_7__2__Impl rule__System__Group_7__3
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group_7__2__Impl_in_rule__System__Group_7__21233);
            rule__System__Group_7__2__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group_7__3_in_rule__System__Group_7__21236);
            rule__System__Group_7__3();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7__2"


    // $ANTLR start "rule__System__Group_7__2__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:651:1: rule__System__Group_7__2__Impl : ( ( rule__System__ConnectorsAssignment_7_2 ) ) ;
    public final void rule__System__Group_7__2__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:655:1: ( ( ( rule__System__ConnectorsAssignment_7_2 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:656:1: ( ( rule__System__ConnectorsAssignment_7_2 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:656:1: ( ( rule__System__ConnectorsAssignment_7_2 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:657:1: ( rule__System__ConnectorsAssignment_7_2 )
            {
             before(grammarAccess.getSystemAccess().getConnectorsAssignment_7_2()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:658:1: ( rule__System__ConnectorsAssignment_7_2 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:658:2: rule__System__ConnectorsAssignment_7_2
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__ConnectorsAssignment_7_2_in_rule__System__Group_7__2__Impl1263);
            rule__System__ConnectorsAssignment_7_2();

            state._fsp--;


            }

             after(grammarAccess.getSystemAccess().getConnectorsAssignment_7_2()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7__2__Impl"


    // $ANTLR start "rule__System__Group_7__3"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:668:1: rule__System__Group_7__3 : rule__System__Group_7__3__Impl rule__System__Group_7__4 ;
    public final void rule__System__Group_7__3() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:672:1: ( rule__System__Group_7__3__Impl rule__System__Group_7__4 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:673:2: rule__System__Group_7__3__Impl rule__System__Group_7__4
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group_7__3__Impl_in_rule__System__Group_7__31293);
            rule__System__Group_7__3__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group_7__4_in_rule__System__Group_7__31296);
            rule__System__Group_7__4();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7__3"


    // $ANTLR start "rule__System__Group_7__3__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:680:1: rule__System__Group_7__3__Impl : ( ( rule__System__Group_7_3__0 )* ) ;
    public final void rule__System__Group_7__3__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:684:1: ( ( ( rule__System__Group_7_3__0 )* ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:685:1: ( ( rule__System__Group_7_3__0 )* )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:685:1: ( ( rule__System__Group_7_3__0 )* )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:686:1: ( rule__System__Group_7_3__0 )*
            {
             before(grammarAccess.getSystemAccess().getGroup_7_3()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:687:1: ( rule__System__Group_7_3__0 )*
            loop4:
            do {
                int alt4=2;
                int LA4_0 = input.LA(1);

                if ( (LA4_0==15) ) {
                    alt4=1;
                }


                switch (alt4) {
            	case 1 :
            	    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:687:2: rule__System__Group_7_3__0
            	    {
            	    pushFollow(FollowSets000.FOLLOW_rule__System__Group_7_3__0_in_rule__System__Group_7__3__Impl1323);
            	    rule__System__Group_7_3__0();

            	    state._fsp--;


            	    }
            	    break;

            	default :
            	    break loop4;
                }
            } while (true);

             after(grammarAccess.getSystemAccess().getGroup_7_3()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7__3__Impl"


    // $ANTLR start "rule__System__Group_7__4"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:697:1: rule__System__Group_7__4 : rule__System__Group_7__4__Impl ;
    public final void rule__System__Group_7__4() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:701:1: ( rule__System__Group_7__4__Impl )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:702:2: rule__System__Group_7__4__Impl
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group_7__4__Impl_in_rule__System__Group_7__41354);
            rule__System__Group_7__4__Impl();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7__4"


    // $ANTLR start "rule__System__Group_7__4__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:708:1: rule__System__Group_7__4__Impl : ( '}' ) ;
    public final void rule__System__Group_7__4__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:712:1: ( ( '}' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:713:1: ( '}' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:713:1: ( '}' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:714:1: '}'
            {
             before(grammarAccess.getSystemAccess().getRightCurlyBracketKeyword_7_4()); 
            match(input,14,FollowSets000.FOLLOW_14_in_rule__System__Group_7__4__Impl1382); 
             after(grammarAccess.getSystemAccess().getRightCurlyBracketKeyword_7_4()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7__4__Impl"


    // $ANTLR start "rule__System__Group_7_3__0"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:737:1: rule__System__Group_7_3__0 : rule__System__Group_7_3__0__Impl rule__System__Group_7_3__1 ;
    public final void rule__System__Group_7_3__0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:741:1: ( rule__System__Group_7_3__0__Impl rule__System__Group_7_3__1 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:742:2: rule__System__Group_7_3__0__Impl rule__System__Group_7_3__1
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group_7_3__0__Impl_in_rule__System__Group_7_3__01423);
            rule__System__Group_7_3__0__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__System__Group_7_3__1_in_rule__System__Group_7_3__01426);
            rule__System__Group_7_3__1();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7_3__0"


    // $ANTLR start "rule__System__Group_7_3__0__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:749:1: rule__System__Group_7_3__0__Impl : ( ',' ) ;
    public final void rule__System__Group_7_3__0__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:753:1: ( ( ',' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:754:1: ( ',' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:754:1: ( ',' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:755:1: ','
            {
             before(grammarAccess.getSystemAccess().getCommaKeyword_7_3_0()); 
            match(input,15,FollowSets000.FOLLOW_15_in_rule__System__Group_7_3__0__Impl1454); 
             after(grammarAccess.getSystemAccess().getCommaKeyword_7_3_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7_3__0__Impl"


    // $ANTLR start "rule__System__Group_7_3__1"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:768:1: rule__System__Group_7_3__1 : rule__System__Group_7_3__1__Impl ;
    public final void rule__System__Group_7_3__1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:772:1: ( rule__System__Group_7_3__1__Impl )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:773:2: rule__System__Group_7_3__1__Impl
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__Group_7_3__1__Impl_in_rule__System__Group_7_3__11485);
            rule__System__Group_7_3__1__Impl();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7_3__1"


    // $ANTLR start "rule__System__Group_7_3__1__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:779:1: rule__System__Group_7_3__1__Impl : ( ( rule__System__ConnectorsAssignment_7_3_1 ) ) ;
    public final void rule__System__Group_7_3__1__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:783:1: ( ( ( rule__System__ConnectorsAssignment_7_3_1 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:784:1: ( ( rule__System__ConnectorsAssignment_7_3_1 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:784:1: ( ( rule__System__ConnectorsAssignment_7_3_1 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:785:1: ( rule__System__ConnectorsAssignment_7_3_1 )
            {
             before(grammarAccess.getSystemAccess().getConnectorsAssignment_7_3_1()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:786:1: ( rule__System__ConnectorsAssignment_7_3_1 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:786:2: rule__System__ConnectorsAssignment_7_3_1
            {
            pushFollow(FollowSets000.FOLLOW_rule__System__ConnectorsAssignment_7_3_1_in_rule__System__Group_7_3__1__Impl1512);
            rule__System__ConnectorsAssignment_7_3_1();

            state._fsp--;


            }

             after(grammarAccess.getSystemAccess().getConnectorsAssignment_7_3_1()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__Group_7_3__1__Impl"


    // $ANTLR start "rule__Component__Group__0"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:800:1: rule__Component__Group__0 : rule__Component__Group__0__Impl rule__Component__Group__1 ;
    public final void rule__Component__Group__0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:804:1: ( rule__Component__Group__0__Impl rule__Component__Group__1 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:805:2: rule__Component__Group__0__Impl rule__Component__Group__1
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__0__Impl_in_rule__Component__Group__01546);
            rule__Component__Group__0__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__1_in_rule__Component__Group__01549);
            rule__Component__Group__1();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__0"


    // $ANTLR start "rule__Component__Group__0__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:812:1: rule__Component__Group__0__Impl : ( 'Component' ) ;
    public final void rule__Component__Group__0__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:816:1: ( ( 'Component' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:817:1: ( 'Component' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:817:1: ( 'Component' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:818:1: 'Component'
            {
             before(grammarAccess.getComponentAccess().getComponentKeyword_0()); 
            match(input,17,FollowSets000.FOLLOW_17_in_rule__Component__Group__0__Impl1577); 
             after(grammarAccess.getComponentAccess().getComponentKeyword_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__0__Impl"


    // $ANTLR start "rule__Component__Group__1"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:831:1: rule__Component__Group__1 : rule__Component__Group__1__Impl rule__Component__Group__2 ;
    public final void rule__Component__Group__1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:835:1: ( rule__Component__Group__1__Impl rule__Component__Group__2 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:836:2: rule__Component__Group__1__Impl rule__Component__Group__2
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__1__Impl_in_rule__Component__Group__11608);
            rule__Component__Group__1__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__2_in_rule__Component__Group__11611);
            rule__Component__Group__2();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__1"


    // $ANTLR start "rule__Component__Group__1__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:843:1: rule__Component__Group__1__Impl : ( ( rule__Component__NameAssignment_1 ) ) ;
    public final void rule__Component__Group__1__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:847:1: ( ( ( rule__Component__NameAssignment_1 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:848:1: ( ( rule__Component__NameAssignment_1 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:848:1: ( ( rule__Component__NameAssignment_1 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:849:1: ( rule__Component__NameAssignment_1 )
            {
             before(grammarAccess.getComponentAccess().getNameAssignment_1()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:850:1: ( rule__Component__NameAssignment_1 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:850:2: rule__Component__NameAssignment_1
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__NameAssignment_1_in_rule__Component__Group__1__Impl1638);
            rule__Component__NameAssignment_1();

            state._fsp--;


            }

             after(grammarAccess.getComponentAccess().getNameAssignment_1()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__1__Impl"


    // $ANTLR start "rule__Component__Group__2"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:860:1: rule__Component__Group__2 : rule__Component__Group__2__Impl rule__Component__Group__3 ;
    public final void rule__Component__Group__2() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:864:1: ( rule__Component__Group__2__Impl rule__Component__Group__3 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:865:2: rule__Component__Group__2__Impl rule__Component__Group__3
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__2__Impl_in_rule__Component__Group__21668);
            rule__Component__Group__2__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__3_in_rule__Component__Group__21671);
            rule__Component__Group__3();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__2"


    // $ANTLR start "rule__Component__Group__2__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:872:1: rule__Component__Group__2__Impl : ( '{' ) ;
    public final void rule__Component__Group__2__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:876:1: ( ( '{' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:877:1: ( '{' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:877:1: ( '{' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:878:1: '{'
            {
             before(grammarAccess.getComponentAccess().getLeftCurlyBracketKeyword_2()); 
            match(input,12,FollowSets000.FOLLOW_12_in_rule__Component__Group__2__Impl1699); 
             after(grammarAccess.getComponentAccess().getLeftCurlyBracketKeyword_2()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__2__Impl"


    // $ANTLR start "rule__Component__Group__3"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:891:1: rule__Component__Group__3 : rule__Component__Group__3__Impl rule__Component__Group__4 ;
    public final void rule__Component__Group__3() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:895:1: ( rule__Component__Group__3__Impl rule__Component__Group__4 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:896:2: rule__Component__Group__3__Impl rule__Component__Group__4
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__3__Impl_in_rule__Component__Group__31730);
            rule__Component__Group__3__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__4_in_rule__Component__Group__31733);
            rule__Component__Group__4();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__3"


    // $ANTLR start "rule__Component__Group__3__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:903:1: rule__Component__Group__3__Impl : ( 'ports' ) ;
    public final void rule__Component__Group__3__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:907:1: ( ( 'ports' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:908:1: ( 'ports' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:908:1: ( 'ports' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:909:1: 'ports'
            {
             before(grammarAccess.getComponentAccess().getPortsKeyword_3()); 
            match(input,18,FollowSets000.FOLLOW_18_in_rule__Component__Group__3__Impl1761); 
             after(grammarAccess.getComponentAccess().getPortsKeyword_3()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__3__Impl"


    // $ANTLR start "rule__Component__Group__4"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:922:1: rule__Component__Group__4 : rule__Component__Group__4__Impl rule__Component__Group__5 ;
    public final void rule__Component__Group__4() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:926:1: ( rule__Component__Group__4__Impl rule__Component__Group__5 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:927:2: rule__Component__Group__4__Impl rule__Component__Group__5
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__4__Impl_in_rule__Component__Group__41792);
            rule__Component__Group__4__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__5_in_rule__Component__Group__41795);
            rule__Component__Group__5();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__4"


    // $ANTLR start "rule__Component__Group__4__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:934:1: rule__Component__Group__4__Impl : ( '{' ) ;
    public final void rule__Component__Group__4__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:938:1: ( ( '{' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:939:1: ( '{' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:939:1: ( '{' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:940:1: '{'
            {
             before(grammarAccess.getComponentAccess().getLeftCurlyBracketKeyword_4()); 
            match(input,12,FollowSets000.FOLLOW_12_in_rule__Component__Group__4__Impl1823); 
             after(grammarAccess.getComponentAccess().getLeftCurlyBracketKeyword_4()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__4__Impl"


    // $ANTLR start "rule__Component__Group__5"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:953:1: rule__Component__Group__5 : rule__Component__Group__5__Impl rule__Component__Group__6 ;
    public final void rule__Component__Group__5() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:957:1: ( rule__Component__Group__5__Impl rule__Component__Group__6 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:958:2: rule__Component__Group__5__Impl rule__Component__Group__6
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__5__Impl_in_rule__Component__Group__51854);
            rule__Component__Group__5__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__6_in_rule__Component__Group__51857);
            rule__Component__Group__6();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__5"


    // $ANTLR start "rule__Component__Group__5__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:965:1: rule__Component__Group__5__Impl : ( ( rule__Component__PortsAssignment_5 ) ) ;
    public final void rule__Component__Group__5__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:969:1: ( ( ( rule__Component__PortsAssignment_5 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:970:1: ( ( rule__Component__PortsAssignment_5 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:970:1: ( ( rule__Component__PortsAssignment_5 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:971:1: ( rule__Component__PortsAssignment_5 )
            {
             before(grammarAccess.getComponentAccess().getPortsAssignment_5()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:972:1: ( rule__Component__PortsAssignment_5 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:972:2: rule__Component__PortsAssignment_5
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__PortsAssignment_5_in_rule__Component__Group__5__Impl1884);
            rule__Component__PortsAssignment_5();

            state._fsp--;


            }

             after(grammarAccess.getComponentAccess().getPortsAssignment_5()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__5__Impl"


    // $ANTLR start "rule__Component__Group__6"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:982:1: rule__Component__Group__6 : rule__Component__Group__6__Impl rule__Component__Group__7 ;
    public final void rule__Component__Group__6() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:986:1: ( rule__Component__Group__6__Impl rule__Component__Group__7 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:987:2: rule__Component__Group__6__Impl rule__Component__Group__7
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__6__Impl_in_rule__Component__Group__61914);
            rule__Component__Group__6__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__7_in_rule__Component__Group__61917);
            rule__Component__Group__7();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__6"


    // $ANTLR start "rule__Component__Group__6__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:994:1: rule__Component__Group__6__Impl : ( ( rule__Component__Group_6__0 )* ) ;
    public final void rule__Component__Group__6__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:998:1: ( ( ( rule__Component__Group_6__0 )* ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:999:1: ( ( rule__Component__Group_6__0 )* )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:999:1: ( ( rule__Component__Group_6__0 )* )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1000:1: ( rule__Component__Group_6__0 )*
            {
             before(grammarAccess.getComponentAccess().getGroup_6()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1001:1: ( rule__Component__Group_6__0 )*
            loop5:
            do {
                int alt5=2;
                int LA5_0 = input.LA(1);

                if ( (LA5_0==15) ) {
                    alt5=1;
                }


                switch (alt5) {
            	case 1 :
            	    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1001:2: rule__Component__Group_6__0
            	    {
            	    pushFollow(FollowSets000.FOLLOW_rule__Component__Group_6__0_in_rule__Component__Group__6__Impl1944);
            	    rule__Component__Group_6__0();

            	    state._fsp--;


            	    }
            	    break;

            	default :
            	    break loop5;
                }
            } while (true);

             after(grammarAccess.getComponentAccess().getGroup_6()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__6__Impl"


    // $ANTLR start "rule__Component__Group__7"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1011:1: rule__Component__Group__7 : rule__Component__Group__7__Impl rule__Component__Group__8 ;
    public final void rule__Component__Group__7() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1015:1: ( rule__Component__Group__7__Impl rule__Component__Group__8 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1016:2: rule__Component__Group__7__Impl rule__Component__Group__8
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__7__Impl_in_rule__Component__Group__71975);
            rule__Component__Group__7__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__8_in_rule__Component__Group__71978);
            rule__Component__Group__8();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__7"


    // $ANTLR start "rule__Component__Group__7__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1023:1: rule__Component__Group__7__Impl : ( '}' ) ;
    public final void rule__Component__Group__7__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1027:1: ( ( '}' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1028:1: ( '}' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1028:1: ( '}' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1029:1: '}'
            {
             before(grammarAccess.getComponentAccess().getRightCurlyBracketKeyword_7()); 
            match(input,14,FollowSets000.FOLLOW_14_in_rule__Component__Group__7__Impl2006); 
             after(grammarAccess.getComponentAccess().getRightCurlyBracketKeyword_7()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__7__Impl"


    // $ANTLR start "rule__Component__Group__8"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1042:1: rule__Component__Group__8 : rule__Component__Group__8__Impl ;
    public final void rule__Component__Group__8() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1046:1: ( rule__Component__Group__8__Impl )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1047:2: rule__Component__Group__8__Impl
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__Group__8__Impl_in_rule__Component__Group__82037);
            rule__Component__Group__8__Impl();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__8"


    // $ANTLR start "rule__Component__Group__8__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1053:1: rule__Component__Group__8__Impl : ( '}' ) ;
    public final void rule__Component__Group__8__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1057:1: ( ( '}' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1058:1: ( '}' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1058:1: ( '}' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1059:1: '}'
            {
             before(grammarAccess.getComponentAccess().getRightCurlyBracketKeyword_8()); 
            match(input,14,FollowSets000.FOLLOW_14_in_rule__Component__Group__8__Impl2065); 
             after(grammarAccess.getComponentAccess().getRightCurlyBracketKeyword_8()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group__8__Impl"


    // $ANTLR start "rule__Component__Group_6__0"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1090:1: rule__Component__Group_6__0 : rule__Component__Group_6__0__Impl rule__Component__Group_6__1 ;
    public final void rule__Component__Group_6__0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1094:1: ( rule__Component__Group_6__0__Impl rule__Component__Group_6__1 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1095:2: rule__Component__Group_6__0__Impl rule__Component__Group_6__1
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__Group_6__0__Impl_in_rule__Component__Group_6__02114);
            rule__Component__Group_6__0__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Component__Group_6__1_in_rule__Component__Group_6__02117);
            rule__Component__Group_6__1();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group_6__0"


    // $ANTLR start "rule__Component__Group_6__0__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1102:1: rule__Component__Group_6__0__Impl : ( ',' ) ;
    public final void rule__Component__Group_6__0__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1106:1: ( ( ',' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1107:1: ( ',' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1107:1: ( ',' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1108:1: ','
            {
             before(grammarAccess.getComponentAccess().getCommaKeyword_6_0()); 
            match(input,15,FollowSets000.FOLLOW_15_in_rule__Component__Group_6__0__Impl2145); 
             after(grammarAccess.getComponentAccess().getCommaKeyword_6_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group_6__0__Impl"


    // $ANTLR start "rule__Component__Group_6__1"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1121:1: rule__Component__Group_6__1 : rule__Component__Group_6__1__Impl ;
    public final void rule__Component__Group_6__1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1125:1: ( rule__Component__Group_6__1__Impl )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1126:2: rule__Component__Group_6__1__Impl
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__Group_6__1__Impl_in_rule__Component__Group_6__12176);
            rule__Component__Group_6__1__Impl();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group_6__1"


    // $ANTLR start "rule__Component__Group_6__1__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1132:1: rule__Component__Group_6__1__Impl : ( ( rule__Component__PortsAssignment_6_1 ) ) ;
    public final void rule__Component__Group_6__1__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1136:1: ( ( ( rule__Component__PortsAssignment_6_1 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1137:1: ( ( rule__Component__PortsAssignment_6_1 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1137:1: ( ( rule__Component__PortsAssignment_6_1 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1138:1: ( rule__Component__PortsAssignment_6_1 )
            {
             before(grammarAccess.getComponentAccess().getPortsAssignment_6_1()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1139:1: ( rule__Component__PortsAssignment_6_1 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1139:2: rule__Component__PortsAssignment_6_1
            {
            pushFollow(FollowSets000.FOLLOW_rule__Component__PortsAssignment_6_1_in_rule__Component__Group_6__1__Impl2203);
            rule__Component__PortsAssignment_6_1();

            state._fsp--;


            }

             after(grammarAccess.getComponentAccess().getPortsAssignment_6_1()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__Group_6__1__Impl"


    // $ANTLR start "rule__Connector__Group__0"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1153:1: rule__Connector__Group__0 : rule__Connector__Group__0__Impl rule__Connector__Group__1 ;
    public final void rule__Connector__Group__0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1157:1: ( rule__Connector__Group__0__Impl rule__Connector__Group__1 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1158:2: rule__Connector__Group__0__Impl rule__Connector__Group__1
            {
            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__0__Impl_in_rule__Connector__Group__02237);
            rule__Connector__Group__0__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__1_in_rule__Connector__Group__02240);
            rule__Connector__Group__1();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__0"


    // $ANTLR start "rule__Connector__Group__0__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1165:1: rule__Connector__Group__0__Impl : ( 'Connector' ) ;
    public final void rule__Connector__Group__0__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1169:1: ( ( 'Connector' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1170:1: ( 'Connector' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1170:1: ( 'Connector' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1171:1: 'Connector'
            {
             before(grammarAccess.getConnectorAccess().getConnectorKeyword_0()); 
            match(input,19,FollowSets000.FOLLOW_19_in_rule__Connector__Group__0__Impl2268); 
             after(grammarAccess.getConnectorAccess().getConnectorKeyword_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__0__Impl"


    // $ANTLR start "rule__Connector__Group__1"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1184:1: rule__Connector__Group__1 : rule__Connector__Group__1__Impl rule__Connector__Group__2 ;
    public final void rule__Connector__Group__1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1188:1: ( rule__Connector__Group__1__Impl rule__Connector__Group__2 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1189:2: rule__Connector__Group__1__Impl rule__Connector__Group__2
            {
            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__1__Impl_in_rule__Connector__Group__12299);
            rule__Connector__Group__1__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__2_in_rule__Connector__Group__12302);
            rule__Connector__Group__2();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__1"


    // $ANTLR start "rule__Connector__Group__1__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1196:1: rule__Connector__Group__1__Impl : ( '{' ) ;
    public final void rule__Connector__Group__1__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1200:1: ( ( '{' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1201:1: ( '{' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1201:1: ( '{' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1202:1: '{'
            {
             before(grammarAccess.getConnectorAccess().getLeftCurlyBracketKeyword_1()); 
            match(input,12,FollowSets000.FOLLOW_12_in_rule__Connector__Group__1__Impl2330); 
             after(grammarAccess.getConnectorAccess().getLeftCurlyBracketKeyword_1()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__1__Impl"


    // $ANTLR start "rule__Connector__Group__2"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1215:1: rule__Connector__Group__2 : rule__Connector__Group__2__Impl rule__Connector__Group__3 ;
    public final void rule__Connector__Group__2() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1219:1: ( rule__Connector__Group__2__Impl rule__Connector__Group__3 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1220:2: rule__Connector__Group__2__Impl rule__Connector__Group__3
            {
            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__2__Impl_in_rule__Connector__Group__22361);
            rule__Connector__Group__2__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__3_in_rule__Connector__Group__22364);
            rule__Connector__Group__3();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__2"


    // $ANTLR start "rule__Connector__Group__2__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1227:1: rule__Connector__Group__2__Impl : ( 'endA' ) ;
    public final void rule__Connector__Group__2__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1231:1: ( ( 'endA' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1232:1: ( 'endA' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1232:1: ( 'endA' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1233:1: 'endA'
            {
             before(grammarAccess.getConnectorAccess().getEndAKeyword_2()); 
            match(input,20,FollowSets000.FOLLOW_20_in_rule__Connector__Group__2__Impl2392); 
             after(grammarAccess.getConnectorAccess().getEndAKeyword_2()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__2__Impl"


    // $ANTLR start "rule__Connector__Group__3"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1246:1: rule__Connector__Group__3 : rule__Connector__Group__3__Impl rule__Connector__Group__4 ;
    public final void rule__Connector__Group__3() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1250:1: ( rule__Connector__Group__3__Impl rule__Connector__Group__4 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1251:2: rule__Connector__Group__3__Impl rule__Connector__Group__4
            {
            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__3__Impl_in_rule__Connector__Group__32423);
            rule__Connector__Group__3__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__4_in_rule__Connector__Group__32426);
            rule__Connector__Group__4();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__3"


    // $ANTLR start "rule__Connector__Group__3__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1258:1: rule__Connector__Group__3__Impl : ( ( rule__Connector__EndAAssignment_3 ) ) ;
    public final void rule__Connector__Group__3__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1262:1: ( ( ( rule__Connector__EndAAssignment_3 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1263:1: ( ( rule__Connector__EndAAssignment_3 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1263:1: ( ( rule__Connector__EndAAssignment_3 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1264:1: ( rule__Connector__EndAAssignment_3 )
            {
             before(grammarAccess.getConnectorAccess().getEndAAssignment_3()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1265:1: ( rule__Connector__EndAAssignment_3 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1265:2: rule__Connector__EndAAssignment_3
            {
            pushFollow(FollowSets000.FOLLOW_rule__Connector__EndAAssignment_3_in_rule__Connector__Group__3__Impl2453);
            rule__Connector__EndAAssignment_3();

            state._fsp--;


            }

             after(grammarAccess.getConnectorAccess().getEndAAssignment_3()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__3__Impl"


    // $ANTLR start "rule__Connector__Group__4"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1275:1: rule__Connector__Group__4 : rule__Connector__Group__4__Impl rule__Connector__Group__5 ;
    public final void rule__Connector__Group__4() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1279:1: ( rule__Connector__Group__4__Impl rule__Connector__Group__5 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1280:2: rule__Connector__Group__4__Impl rule__Connector__Group__5
            {
            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__4__Impl_in_rule__Connector__Group__42483);
            rule__Connector__Group__4__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__5_in_rule__Connector__Group__42486);
            rule__Connector__Group__5();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__4"


    // $ANTLR start "rule__Connector__Group__4__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1287:1: rule__Connector__Group__4__Impl : ( 'endB' ) ;
    public final void rule__Connector__Group__4__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1291:1: ( ( 'endB' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1292:1: ( 'endB' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1292:1: ( 'endB' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1293:1: 'endB'
            {
             before(grammarAccess.getConnectorAccess().getEndBKeyword_4()); 
            match(input,21,FollowSets000.FOLLOW_21_in_rule__Connector__Group__4__Impl2514); 
             after(grammarAccess.getConnectorAccess().getEndBKeyword_4()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__4__Impl"


    // $ANTLR start "rule__Connector__Group__5"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1306:1: rule__Connector__Group__5 : rule__Connector__Group__5__Impl rule__Connector__Group__6 ;
    public final void rule__Connector__Group__5() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1310:1: ( rule__Connector__Group__5__Impl rule__Connector__Group__6 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1311:2: rule__Connector__Group__5__Impl rule__Connector__Group__6
            {
            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__5__Impl_in_rule__Connector__Group__52545);
            rule__Connector__Group__5__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__6_in_rule__Connector__Group__52548);
            rule__Connector__Group__6();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__5"


    // $ANTLR start "rule__Connector__Group__5__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1318:1: rule__Connector__Group__5__Impl : ( ( rule__Connector__EndBAssignment_5 ) ) ;
    public final void rule__Connector__Group__5__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1322:1: ( ( ( rule__Connector__EndBAssignment_5 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1323:1: ( ( rule__Connector__EndBAssignment_5 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1323:1: ( ( rule__Connector__EndBAssignment_5 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1324:1: ( rule__Connector__EndBAssignment_5 )
            {
             before(grammarAccess.getConnectorAccess().getEndBAssignment_5()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1325:1: ( rule__Connector__EndBAssignment_5 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1325:2: rule__Connector__EndBAssignment_5
            {
            pushFollow(FollowSets000.FOLLOW_rule__Connector__EndBAssignment_5_in_rule__Connector__Group__5__Impl2575);
            rule__Connector__EndBAssignment_5();

            state._fsp--;


            }

             after(grammarAccess.getConnectorAccess().getEndBAssignment_5()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__5__Impl"


    // $ANTLR start "rule__Connector__Group__6"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1335:1: rule__Connector__Group__6 : rule__Connector__Group__6__Impl ;
    public final void rule__Connector__Group__6() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1339:1: ( rule__Connector__Group__6__Impl )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1340:2: rule__Connector__Group__6__Impl
            {
            pushFollow(FollowSets000.FOLLOW_rule__Connector__Group__6__Impl_in_rule__Connector__Group__62605);
            rule__Connector__Group__6__Impl();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__6"


    // $ANTLR start "rule__Connector__Group__6__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1346:1: rule__Connector__Group__6__Impl : ( '}' ) ;
    public final void rule__Connector__Group__6__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1350:1: ( ( '}' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1351:1: ( '}' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1351:1: ( '}' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1352:1: '}'
            {
             before(grammarAccess.getConnectorAccess().getRightCurlyBracketKeyword_6()); 
            match(input,14,FollowSets000.FOLLOW_14_in_rule__Connector__Group__6__Impl2633); 
             after(grammarAccess.getConnectorAccess().getRightCurlyBracketKeyword_6()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__Group__6__Impl"


    // $ANTLR start "rule__Port__Group__0"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1379:1: rule__Port__Group__0 : rule__Port__Group__0__Impl rule__Port__Group__1 ;
    public final void rule__Port__Group__0() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1383:1: ( rule__Port__Group__0__Impl rule__Port__Group__1 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1384:2: rule__Port__Group__0__Impl rule__Port__Group__1
            {
            pushFollow(FollowSets000.FOLLOW_rule__Port__Group__0__Impl_in_rule__Port__Group__02678);
            rule__Port__Group__0__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Port__Group__1_in_rule__Port__Group__02681);
            rule__Port__Group__1();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Port__Group__0"


    // $ANTLR start "rule__Port__Group__0__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1391:1: rule__Port__Group__0__Impl : ( () ) ;
    public final void rule__Port__Group__0__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1395:1: ( ( () ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1396:1: ( () )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1396:1: ( () )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1397:1: ()
            {
             before(grammarAccess.getPortAccess().getPortAction_0()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1398:1: ()
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1400:1: 
            {
            }

             after(grammarAccess.getPortAccess().getPortAction_0()); 

            }


            }

        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Port__Group__0__Impl"


    // $ANTLR start "rule__Port__Group__1"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1410:1: rule__Port__Group__1 : rule__Port__Group__1__Impl rule__Port__Group__2 ;
    public final void rule__Port__Group__1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1414:1: ( rule__Port__Group__1__Impl rule__Port__Group__2 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1415:2: rule__Port__Group__1__Impl rule__Port__Group__2
            {
            pushFollow(FollowSets000.FOLLOW_rule__Port__Group__1__Impl_in_rule__Port__Group__12739);
            rule__Port__Group__1__Impl();

            state._fsp--;

            pushFollow(FollowSets000.FOLLOW_rule__Port__Group__2_in_rule__Port__Group__12742);
            rule__Port__Group__2();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Port__Group__1"


    // $ANTLR start "rule__Port__Group__1__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1422:1: rule__Port__Group__1__Impl : ( 'Port' ) ;
    public final void rule__Port__Group__1__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1426:1: ( ( 'Port' ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1427:1: ( 'Port' )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1427:1: ( 'Port' )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1428:1: 'Port'
            {
             before(grammarAccess.getPortAccess().getPortKeyword_1()); 
            match(input,22,FollowSets000.FOLLOW_22_in_rule__Port__Group__1__Impl2770); 
             after(grammarAccess.getPortAccess().getPortKeyword_1()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Port__Group__1__Impl"


    // $ANTLR start "rule__Port__Group__2"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1441:1: rule__Port__Group__2 : rule__Port__Group__2__Impl ;
    public final void rule__Port__Group__2() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1445:1: ( rule__Port__Group__2__Impl )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1446:2: rule__Port__Group__2__Impl
            {
            pushFollow(FollowSets000.FOLLOW_rule__Port__Group__2__Impl_in_rule__Port__Group__22801);
            rule__Port__Group__2__Impl();

            state._fsp--;


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Port__Group__2"


    // $ANTLR start "rule__Port__Group__2__Impl"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1452:1: rule__Port__Group__2__Impl : ( ( rule__Port__NameAssignment_2 ) ) ;
    public final void rule__Port__Group__2__Impl() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1456:1: ( ( ( rule__Port__NameAssignment_2 ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1457:1: ( ( rule__Port__NameAssignment_2 ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1457:1: ( ( rule__Port__NameAssignment_2 ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1458:1: ( rule__Port__NameAssignment_2 )
            {
             before(grammarAccess.getPortAccess().getNameAssignment_2()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1459:1: ( rule__Port__NameAssignment_2 )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1459:2: rule__Port__NameAssignment_2
            {
            pushFollow(FollowSets000.FOLLOW_rule__Port__NameAssignment_2_in_rule__Port__Group__2__Impl2828);
            rule__Port__NameAssignment_2();

            state._fsp--;


            }

             after(grammarAccess.getPortAccess().getNameAssignment_2()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Port__Group__2__Impl"


    // $ANTLR start "rule__System__ComponentsAssignment_4"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1476:1: rule__System__ComponentsAssignment_4 : ( ruleComponent ) ;
    public final void rule__System__ComponentsAssignment_4() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1480:1: ( ( ruleComponent ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1481:1: ( ruleComponent )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1481:1: ( ruleComponent )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1482:1: ruleComponent
            {
             before(grammarAccess.getSystemAccess().getComponentsComponentParserRuleCall_4_0()); 
            pushFollow(FollowSets000.FOLLOW_ruleComponent_in_rule__System__ComponentsAssignment_42869);
            ruleComponent();

            state._fsp--;

             after(grammarAccess.getSystemAccess().getComponentsComponentParserRuleCall_4_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__ComponentsAssignment_4"


    // $ANTLR start "rule__System__ComponentsAssignment_5_1"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1491:1: rule__System__ComponentsAssignment_5_1 : ( ruleComponent ) ;
    public final void rule__System__ComponentsAssignment_5_1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1495:1: ( ( ruleComponent ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1496:1: ( ruleComponent )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1496:1: ( ruleComponent )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1497:1: ruleComponent
            {
             before(grammarAccess.getSystemAccess().getComponentsComponentParserRuleCall_5_1_0()); 
            pushFollow(FollowSets000.FOLLOW_ruleComponent_in_rule__System__ComponentsAssignment_5_12900);
            ruleComponent();

            state._fsp--;

             after(grammarAccess.getSystemAccess().getComponentsComponentParserRuleCall_5_1_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__ComponentsAssignment_5_1"


    // $ANTLR start "rule__System__ConnectorsAssignment_7_2"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1506:1: rule__System__ConnectorsAssignment_7_2 : ( ruleConnector ) ;
    public final void rule__System__ConnectorsAssignment_7_2() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1510:1: ( ( ruleConnector ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1511:1: ( ruleConnector )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1511:1: ( ruleConnector )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1512:1: ruleConnector
            {
             before(grammarAccess.getSystemAccess().getConnectorsConnectorParserRuleCall_7_2_0()); 
            pushFollow(FollowSets000.FOLLOW_ruleConnector_in_rule__System__ConnectorsAssignment_7_22931);
            ruleConnector();

            state._fsp--;

             after(grammarAccess.getSystemAccess().getConnectorsConnectorParserRuleCall_7_2_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__ConnectorsAssignment_7_2"


    // $ANTLR start "rule__System__ConnectorsAssignment_7_3_1"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1521:1: rule__System__ConnectorsAssignment_7_3_1 : ( ruleConnector ) ;
    public final void rule__System__ConnectorsAssignment_7_3_1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1525:1: ( ( ruleConnector ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1526:1: ( ruleConnector )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1526:1: ( ruleConnector )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1527:1: ruleConnector
            {
             before(grammarAccess.getSystemAccess().getConnectorsConnectorParserRuleCall_7_3_1_0()); 
            pushFollow(FollowSets000.FOLLOW_ruleConnector_in_rule__System__ConnectorsAssignment_7_3_12962);
            ruleConnector();

            state._fsp--;

             after(grammarAccess.getSystemAccess().getConnectorsConnectorParserRuleCall_7_3_1_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__System__ConnectorsAssignment_7_3_1"


    // $ANTLR start "rule__Component__NameAssignment_1"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1536:1: rule__Component__NameAssignment_1 : ( ruleEString ) ;
    public final void rule__Component__NameAssignment_1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1540:1: ( ( ruleEString ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1541:1: ( ruleEString )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1541:1: ( ruleEString )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1542:1: ruleEString
            {
             before(grammarAccess.getComponentAccess().getNameEStringParserRuleCall_1_0()); 
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_rule__Component__NameAssignment_12993);
            ruleEString();

            state._fsp--;

             after(grammarAccess.getComponentAccess().getNameEStringParserRuleCall_1_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__NameAssignment_1"


    // $ANTLR start "rule__Component__PortsAssignment_5"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1551:1: rule__Component__PortsAssignment_5 : ( rulePort ) ;
    public final void rule__Component__PortsAssignment_5() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1555:1: ( ( rulePort ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1556:1: ( rulePort )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1556:1: ( rulePort )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1557:1: rulePort
            {
             before(grammarAccess.getComponentAccess().getPortsPortParserRuleCall_5_0()); 
            pushFollow(FollowSets000.FOLLOW_rulePort_in_rule__Component__PortsAssignment_53024);
            rulePort();

            state._fsp--;

             after(grammarAccess.getComponentAccess().getPortsPortParserRuleCall_5_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__PortsAssignment_5"


    // $ANTLR start "rule__Component__PortsAssignment_6_1"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1566:1: rule__Component__PortsAssignment_6_1 : ( rulePort ) ;
    public final void rule__Component__PortsAssignment_6_1() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1570:1: ( ( rulePort ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1571:1: ( rulePort )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1571:1: ( rulePort )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1572:1: rulePort
            {
             before(grammarAccess.getComponentAccess().getPortsPortParserRuleCall_6_1_0()); 
            pushFollow(FollowSets000.FOLLOW_rulePort_in_rule__Component__PortsAssignment_6_13055);
            rulePort();

            state._fsp--;

             after(grammarAccess.getComponentAccess().getPortsPortParserRuleCall_6_1_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Component__PortsAssignment_6_1"


    // $ANTLR start "rule__Connector__EndAAssignment_3"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1581:1: rule__Connector__EndAAssignment_3 : ( ( ruleEString ) ) ;
    public final void rule__Connector__EndAAssignment_3() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1585:1: ( ( ( ruleEString ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1586:1: ( ( ruleEString ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1586:1: ( ( ruleEString ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1587:1: ( ruleEString )
            {
             before(grammarAccess.getConnectorAccess().getEndAPortCrossReference_3_0()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1588:1: ( ruleEString )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1589:1: ruleEString
            {
             before(grammarAccess.getConnectorAccess().getEndAPortEStringParserRuleCall_3_0_1()); 
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_rule__Connector__EndAAssignment_33090);
            ruleEString();

            state._fsp--;

             after(grammarAccess.getConnectorAccess().getEndAPortEStringParserRuleCall_3_0_1()); 

            }

             after(grammarAccess.getConnectorAccess().getEndAPortCrossReference_3_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__EndAAssignment_3"


    // $ANTLR start "rule__Connector__EndBAssignment_5"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1600:1: rule__Connector__EndBAssignment_5 : ( ( ruleEString ) ) ;
    public final void rule__Connector__EndBAssignment_5() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1604:1: ( ( ( ruleEString ) ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1605:1: ( ( ruleEString ) )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1605:1: ( ( ruleEString ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1606:1: ( ruleEString )
            {
             before(grammarAccess.getConnectorAccess().getEndBPortCrossReference_5_0()); 
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1607:1: ( ruleEString )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1608:1: ruleEString
            {
             before(grammarAccess.getConnectorAccess().getEndBPortEStringParserRuleCall_5_0_1()); 
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_rule__Connector__EndBAssignment_53129);
            ruleEString();

            state._fsp--;

             after(grammarAccess.getConnectorAccess().getEndBPortEStringParserRuleCall_5_0_1()); 

            }

             after(grammarAccess.getConnectorAccess().getEndBPortCrossReference_5_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Connector__EndBAssignment_5"


    // $ANTLR start "rule__Port__NameAssignment_2"
    // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1619:1: rule__Port__NameAssignment_2 : ( ruleEString ) ;
    public final void rule__Port__NameAssignment_2() throws RecognitionException {

        		int stackSize = keepStackSize();
            
        try {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1623:1: ( ( ruleEString ) )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1624:1: ( ruleEString )
            {
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1624:1: ( ruleEString )
            // ../org.xtext.simpleComponents.ui/src-gen/org/xtext/ui/contentassist/antlr/internal/InternalSimpleComponents.g:1625:1: ruleEString
            {
             before(grammarAccess.getPortAccess().getNameEStringParserRuleCall_2_0()); 
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_rule__Port__NameAssignment_23164);
            ruleEString();

            state._fsp--;

             after(grammarAccess.getPortAccess().getNameEStringParserRuleCall_2_0()); 

            }


            }

        }
        catch (RecognitionException re) {
            reportError(re);
            recover(input,re);
        }
        finally {

            	restoreStackSize(stackSize);

        }
        return ;
    }
    // $ANTLR end "rule__Port__NameAssignment_2"

    // Delegated rules


 

    
    private static class FollowSets000 {
        public static final BitSet FOLLOW_ruleSystem_in_entryRuleSystem61 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleSystem68 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group__0_in_ruleSystem94 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleComponent_in_entryRuleComponent121 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleComponent128 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__Group__0_in_ruleComponent154 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleConnector_in_entryRuleConnector181 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleConnector188 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Connector__Group__0_in_ruleConnector214 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rulePort_in_entryRulePort241 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRulePort248 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Port__Group__0_in_rulePort274 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleEString_in_entryRuleEString301 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleEString308 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__EString__Alternatives_in_ruleEString334 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_RULE_STRING_in_rule__EString__Alternatives370 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_RULE_ID_in_rule__EString__Alternatives387 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group__0__Impl_in_rule__System__Group__0417 = new BitSet(new long[]{0x0000000000001000L});
        public static final BitSet FOLLOW_rule__System__Group__1_in_rule__System__Group__0420 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_11_in_rule__System__Group__0__Impl448 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group__1__Impl_in_rule__System__Group__1479 = new BitSet(new long[]{0x0000000000002000L});
        public static final BitSet FOLLOW_rule__System__Group__2_in_rule__System__Group__1482 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_12_in_rule__System__Group__1__Impl510 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group__2__Impl_in_rule__System__Group__2541 = new BitSet(new long[]{0x0000000000001000L});
        public static final BitSet FOLLOW_rule__System__Group__3_in_rule__System__Group__2544 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_13_in_rule__System__Group__2__Impl572 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group__3__Impl_in_rule__System__Group__3603 = new BitSet(new long[]{0x0000000000020000L});
        public static final BitSet FOLLOW_rule__System__Group__4_in_rule__System__Group__3606 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_12_in_rule__System__Group__3__Impl634 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group__4__Impl_in_rule__System__Group__4665 = new BitSet(new long[]{0x000000000000C000L});
        public static final BitSet FOLLOW_rule__System__Group__5_in_rule__System__Group__4668 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__ComponentsAssignment_4_in_rule__System__Group__4__Impl695 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group__5__Impl_in_rule__System__Group__5725 = new BitSet(new long[]{0x000000000000C000L});
        public static final BitSet FOLLOW_rule__System__Group__6_in_rule__System__Group__5728 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group_5__0_in_rule__System__Group__5__Impl755 = new BitSet(new long[]{0x0000000000008002L});
        public static final BitSet FOLLOW_rule__System__Group__6__Impl_in_rule__System__Group__6786 = new BitSet(new long[]{0x0000000000014000L});
        public static final BitSet FOLLOW_rule__System__Group__7_in_rule__System__Group__6789 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_14_in_rule__System__Group__6__Impl817 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group__7__Impl_in_rule__System__Group__7848 = new BitSet(new long[]{0x0000000000014000L});
        public static final BitSet FOLLOW_rule__System__Group__8_in_rule__System__Group__7851 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group_7__0_in_rule__System__Group__7__Impl878 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group__8__Impl_in_rule__System__Group__8909 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_14_in_rule__System__Group__8__Impl937 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group_5__0__Impl_in_rule__System__Group_5__0986 = new BitSet(new long[]{0x0000000000020000L});
        public static final BitSet FOLLOW_rule__System__Group_5__1_in_rule__System__Group_5__0989 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_15_in_rule__System__Group_5__0__Impl1017 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group_5__1__Impl_in_rule__System__Group_5__11048 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__ComponentsAssignment_5_1_in_rule__System__Group_5__1__Impl1075 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group_7__0__Impl_in_rule__System__Group_7__01109 = new BitSet(new long[]{0x0000000000001000L});
        public static final BitSet FOLLOW_rule__System__Group_7__1_in_rule__System__Group_7__01112 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_16_in_rule__System__Group_7__0__Impl1140 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group_7__1__Impl_in_rule__System__Group_7__11171 = new BitSet(new long[]{0x0000000000080000L});
        public static final BitSet FOLLOW_rule__System__Group_7__2_in_rule__System__Group_7__11174 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_12_in_rule__System__Group_7__1__Impl1202 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group_7__2__Impl_in_rule__System__Group_7__21233 = new BitSet(new long[]{0x000000000000C000L});
        public static final BitSet FOLLOW_rule__System__Group_7__3_in_rule__System__Group_7__21236 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__ConnectorsAssignment_7_2_in_rule__System__Group_7__2__Impl1263 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group_7__3__Impl_in_rule__System__Group_7__31293 = new BitSet(new long[]{0x000000000000C000L});
        public static final BitSet FOLLOW_rule__System__Group_7__4_in_rule__System__Group_7__31296 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group_7_3__0_in_rule__System__Group_7__3__Impl1323 = new BitSet(new long[]{0x0000000000008002L});
        public static final BitSet FOLLOW_rule__System__Group_7__4__Impl_in_rule__System__Group_7__41354 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_14_in_rule__System__Group_7__4__Impl1382 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group_7_3__0__Impl_in_rule__System__Group_7_3__01423 = new BitSet(new long[]{0x0000000000080000L});
        public static final BitSet FOLLOW_rule__System__Group_7_3__1_in_rule__System__Group_7_3__01426 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_15_in_rule__System__Group_7_3__0__Impl1454 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__Group_7_3__1__Impl_in_rule__System__Group_7_3__11485 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__System__ConnectorsAssignment_7_3_1_in_rule__System__Group_7_3__1__Impl1512 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__Group__0__Impl_in_rule__Component__Group__01546 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_rule__Component__Group__1_in_rule__Component__Group__01549 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_17_in_rule__Component__Group__0__Impl1577 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__Group__1__Impl_in_rule__Component__Group__11608 = new BitSet(new long[]{0x0000000000001000L});
        public static final BitSet FOLLOW_rule__Component__Group__2_in_rule__Component__Group__11611 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__NameAssignment_1_in_rule__Component__Group__1__Impl1638 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__Group__2__Impl_in_rule__Component__Group__21668 = new BitSet(new long[]{0x0000000000040000L});
        public static final BitSet FOLLOW_rule__Component__Group__3_in_rule__Component__Group__21671 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_12_in_rule__Component__Group__2__Impl1699 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__Group__3__Impl_in_rule__Component__Group__31730 = new BitSet(new long[]{0x0000000000001000L});
        public static final BitSet FOLLOW_rule__Component__Group__4_in_rule__Component__Group__31733 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_18_in_rule__Component__Group__3__Impl1761 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__Group__4__Impl_in_rule__Component__Group__41792 = new BitSet(new long[]{0x0000000000400000L});
        public static final BitSet FOLLOW_rule__Component__Group__5_in_rule__Component__Group__41795 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_12_in_rule__Component__Group__4__Impl1823 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__Group__5__Impl_in_rule__Component__Group__51854 = new BitSet(new long[]{0x000000000000C000L});
        public static final BitSet FOLLOW_rule__Component__Group__6_in_rule__Component__Group__51857 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__PortsAssignment_5_in_rule__Component__Group__5__Impl1884 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__Group__6__Impl_in_rule__Component__Group__61914 = new BitSet(new long[]{0x000000000000C000L});
        public static final BitSet FOLLOW_rule__Component__Group__7_in_rule__Component__Group__61917 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__Group_6__0_in_rule__Component__Group__6__Impl1944 = new BitSet(new long[]{0x0000000000008002L});
        public static final BitSet FOLLOW_rule__Component__Group__7__Impl_in_rule__Component__Group__71975 = new BitSet(new long[]{0x0000000000004000L});
        public static final BitSet FOLLOW_rule__Component__Group__8_in_rule__Component__Group__71978 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_14_in_rule__Component__Group__7__Impl2006 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__Group__8__Impl_in_rule__Component__Group__82037 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_14_in_rule__Component__Group__8__Impl2065 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__Group_6__0__Impl_in_rule__Component__Group_6__02114 = new BitSet(new long[]{0x0000000000400000L});
        public static final BitSet FOLLOW_rule__Component__Group_6__1_in_rule__Component__Group_6__02117 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_15_in_rule__Component__Group_6__0__Impl2145 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__Group_6__1__Impl_in_rule__Component__Group_6__12176 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Component__PortsAssignment_6_1_in_rule__Component__Group_6__1__Impl2203 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Connector__Group__0__Impl_in_rule__Connector__Group__02237 = new BitSet(new long[]{0x0000000000001000L});
        public static final BitSet FOLLOW_rule__Connector__Group__1_in_rule__Connector__Group__02240 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_19_in_rule__Connector__Group__0__Impl2268 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Connector__Group__1__Impl_in_rule__Connector__Group__12299 = new BitSet(new long[]{0x0000000000100000L});
        public static final BitSet FOLLOW_rule__Connector__Group__2_in_rule__Connector__Group__12302 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_12_in_rule__Connector__Group__1__Impl2330 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Connector__Group__2__Impl_in_rule__Connector__Group__22361 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_rule__Connector__Group__3_in_rule__Connector__Group__22364 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_20_in_rule__Connector__Group__2__Impl2392 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Connector__Group__3__Impl_in_rule__Connector__Group__32423 = new BitSet(new long[]{0x0000000000200000L});
        public static final BitSet FOLLOW_rule__Connector__Group__4_in_rule__Connector__Group__32426 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Connector__EndAAssignment_3_in_rule__Connector__Group__3__Impl2453 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Connector__Group__4__Impl_in_rule__Connector__Group__42483 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_rule__Connector__Group__5_in_rule__Connector__Group__42486 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_21_in_rule__Connector__Group__4__Impl2514 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Connector__Group__5__Impl_in_rule__Connector__Group__52545 = new BitSet(new long[]{0x0000000000004000L});
        public static final BitSet FOLLOW_rule__Connector__Group__6_in_rule__Connector__Group__52548 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Connector__EndBAssignment_5_in_rule__Connector__Group__5__Impl2575 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Connector__Group__6__Impl_in_rule__Connector__Group__62605 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_14_in_rule__Connector__Group__6__Impl2633 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Port__Group__0__Impl_in_rule__Port__Group__02678 = new BitSet(new long[]{0x0000000000400000L});
        public static final BitSet FOLLOW_rule__Port__Group__1_in_rule__Port__Group__02681 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Port__Group__1__Impl_in_rule__Port__Group__12739 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_rule__Port__Group__2_in_rule__Port__Group__12742 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_22_in_rule__Port__Group__1__Impl2770 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Port__Group__2__Impl_in_rule__Port__Group__22801 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rule__Port__NameAssignment_2_in_rule__Port__Group__2__Impl2828 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleComponent_in_rule__System__ComponentsAssignment_42869 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleComponent_in_rule__System__ComponentsAssignment_5_12900 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleConnector_in_rule__System__ConnectorsAssignment_7_22931 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleConnector_in_rule__System__ConnectorsAssignment_7_3_12962 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleEString_in_rule__Component__NameAssignment_12993 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rulePort_in_rule__Component__PortsAssignment_53024 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rulePort_in_rule__Component__PortsAssignment_6_13055 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleEString_in_rule__Connector__EndAAssignment_33090 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleEString_in_rule__Connector__EndBAssignment_53129 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleEString_in_rule__Port__NameAssignment_23164 = new BitSet(new long[]{0x0000000000000002L});
    }


}