package org.xtext.parser.antlr.internal; 

import org.eclipse.xtext.*;
import org.eclipse.xtext.parser.*;
import org.eclipse.xtext.parser.impl.*;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import org.eclipse.xtext.parser.antlr.XtextTokenStream.HiddenTokens;
import org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken;
import org.xtext.services.SimpleComponentsGrammarAccess;



import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings("all")
public class InternalSimpleComponentsParser extends AbstractInternalAntlrParser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "RULE_STRING", "RULE_ID", "RULE_INT", "RULE_ML_COMMENT", "RULE_SL_COMMENT", "RULE_WS", "RULE_ANY_OTHER", "'System'", "'{'", "'components'", "','", "'}'", "'connectors'", "'Component'", "'ports'", "'Connector'", "'endA'", "'endB'", "'Port'"
    };
    public static final int RULE_ID=5;
    public static final int T__22=22;
    public static final int RULE_ANY_OTHER=10;
    public static final int T__21=21;
    public static final int T__20=20;
    public static final int RULE_SL_COMMENT=8;
    public static final int EOF=-1;
    public static final int RULE_ML_COMMENT=7;
    public static final int T__19=19;
    public static final int RULE_STRING=4;
    public static final int T__16=16;
    public static final int T__15=15;
    public static final int T__18=18;
    public static final int T__17=17;
    public static final int T__12=12;
    public static final int T__11=11;
    public static final int T__14=14;
    public static final int T__13=13;
    public static final int RULE_INT=6;
    public static final int RULE_WS=9;

    // delegates
    // delegators


        public InternalSimpleComponentsParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public InternalSimpleComponentsParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
             
        }
        

    public String[] getTokenNames() { return InternalSimpleComponentsParser.tokenNames; }
    public String getGrammarFileName() { return "../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g"; }



     	private SimpleComponentsGrammarAccess grammarAccess;
     	
        public InternalSimpleComponentsParser(TokenStream input, SimpleComponentsGrammarAccess grammarAccess) {
            this(input);
            this.grammarAccess = grammarAccess;
            registerRules(grammarAccess.getGrammar());
        }
        
        @Override
        protected String getFirstRuleName() {
        	return "System";	
       	}
       	
       	@Override
       	protected SimpleComponentsGrammarAccess getGrammarAccess() {
       		return grammarAccess;
       	}



    // $ANTLR start "entryRuleSystem"
    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:67:1: entryRuleSystem returns [EObject current=null] : iv_ruleSystem= ruleSystem EOF ;
    public final EObject entryRuleSystem() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleSystem = null;


        try {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:68:2: (iv_ruleSystem= ruleSystem EOF )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:69:2: iv_ruleSystem= ruleSystem EOF
            {
             newCompositeNode(grammarAccess.getSystemRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleSystem_in_entryRuleSystem75);
            iv_ruleSystem=ruleSystem();

            state._fsp--;

             current =iv_ruleSystem; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleSystem85); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleSystem"


    // $ANTLR start "ruleSystem"
    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:76:1: ruleSystem returns [EObject current=null] : (otherlv_0= 'System' otherlv_1= '{' otherlv_2= 'components' otherlv_3= '{' ( (lv_components_4_0= ruleComponent ) ) (otherlv_5= ',' ( (lv_components_6_0= ruleComponent ) ) )* otherlv_7= '}' (otherlv_8= 'connectors' otherlv_9= '{' ( (lv_connectors_10_0= ruleConnector ) ) (otherlv_11= ',' ( (lv_connectors_12_0= ruleConnector ) ) )* otherlv_13= '}' )? otherlv_14= '}' ) ;
    public final EObject ruleSystem() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token otherlv_1=null;
        Token otherlv_2=null;
        Token otherlv_3=null;
        Token otherlv_5=null;
        Token otherlv_7=null;
        Token otherlv_8=null;
        Token otherlv_9=null;
        Token otherlv_11=null;
        Token otherlv_13=null;
        Token otherlv_14=null;
        EObject lv_components_4_0 = null;

        EObject lv_components_6_0 = null;

        EObject lv_connectors_10_0 = null;

        EObject lv_connectors_12_0 = null;


         enterRule(); 
            
        try {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:79:28: ( (otherlv_0= 'System' otherlv_1= '{' otherlv_2= 'components' otherlv_3= '{' ( (lv_components_4_0= ruleComponent ) ) (otherlv_5= ',' ( (lv_components_6_0= ruleComponent ) ) )* otherlv_7= '}' (otherlv_8= 'connectors' otherlv_9= '{' ( (lv_connectors_10_0= ruleConnector ) ) (otherlv_11= ',' ( (lv_connectors_12_0= ruleConnector ) ) )* otherlv_13= '}' )? otherlv_14= '}' ) )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:80:1: (otherlv_0= 'System' otherlv_1= '{' otherlv_2= 'components' otherlv_3= '{' ( (lv_components_4_0= ruleComponent ) ) (otherlv_5= ',' ( (lv_components_6_0= ruleComponent ) ) )* otherlv_7= '}' (otherlv_8= 'connectors' otherlv_9= '{' ( (lv_connectors_10_0= ruleConnector ) ) (otherlv_11= ',' ( (lv_connectors_12_0= ruleConnector ) ) )* otherlv_13= '}' )? otherlv_14= '}' )
            {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:80:1: (otherlv_0= 'System' otherlv_1= '{' otherlv_2= 'components' otherlv_3= '{' ( (lv_components_4_0= ruleComponent ) ) (otherlv_5= ',' ( (lv_components_6_0= ruleComponent ) ) )* otherlv_7= '}' (otherlv_8= 'connectors' otherlv_9= '{' ( (lv_connectors_10_0= ruleConnector ) ) (otherlv_11= ',' ( (lv_connectors_12_0= ruleConnector ) ) )* otherlv_13= '}' )? otherlv_14= '}' )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:80:3: otherlv_0= 'System' otherlv_1= '{' otherlv_2= 'components' otherlv_3= '{' ( (lv_components_4_0= ruleComponent ) ) (otherlv_5= ',' ( (lv_components_6_0= ruleComponent ) ) )* otherlv_7= '}' (otherlv_8= 'connectors' otherlv_9= '{' ( (lv_connectors_10_0= ruleConnector ) ) (otherlv_11= ',' ( (lv_connectors_12_0= ruleConnector ) ) )* otherlv_13= '}' )? otherlv_14= '}'
            {
            otherlv_0=(Token)match(input,11,FollowSets000.FOLLOW_11_in_ruleSystem122); 

                	newLeafNode(otherlv_0, grammarAccess.getSystemAccess().getSystemKeyword_0());
                
            otherlv_1=(Token)match(input,12,FollowSets000.FOLLOW_12_in_ruleSystem134); 

                	newLeafNode(otherlv_1, grammarAccess.getSystemAccess().getLeftCurlyBracketKeyword_1());
                
            otherlv_2=(Token)match(input,13,FollowSets000.FOLLOW_13_in_ruleSystem146); 

                	newLeafNode(otherlv_2, grammarAccess.getSystemAccess().getComponentsKeyword_2());
                
            otherlv_3=(Token)match(input,12,FollowSets000.FOLLOW_12_in_ruleSystem158); 

                	newLeafNode(otherlv_3, grammarAccess.getSystemAccess().getLeftCurlyBracketKeyword_3());
                
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:96:1: ( (lv_components_4_0= ruleComponent ) )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:97:1: (lv_components_4_0= ruleComponent )
            {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:97:1: (lv_components_4_0= ruleComponent )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:98:3: lv_components_4_0= ruleComponent
            {
             
            	        newCompositeNode(grammarAccess.getSystemAccess().getComponentsComponentParserRuleCall_4_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleComponent_in_ruleSystem179);
            lv_components_4_0=ruleComponent();

            state._fsp--;


            	        if (current==null) {
            	            current = createModelElementForParent(grammarAccess.getSystemRule());
            	        }
                   		add(
                   			current, 
                   			"components",
                    		lv_components_4_0, 
                    		"Component");
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:114:2: (otherlv_5= ',' ( (lv_components_6_0= ruleComponent ) ) )*
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( (LA1_0==14) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:114:4: otherlv_5= ',' ( (lv_components_6_0= ruleComponent ) )
            	    {
            	    otherlv_5=(Token)match(input,14,FollowSets000.FOLLOW_14_in_ruleSystem192); 

            	        	newLeafNode(otherlv_5, grammarAccess.getSystemAccess().getCommaKeyword_5_0());
            	        
            	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:118:1: ( (lv_components_6_0= ruleComponent ) )
            	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:119:1: (lv_components_6_0= ruleComponent )
            	    {
            	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:119:1: (lv_components_6_0= ruleComponent )
            	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:120:3: lv_components_6_0= ruleComponent
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getSystemAccess().getComponentsComponentParserRuleCall_5_1_0()); 
            	    	    
            	    pushFollow(FollowSets000.FOLLOW_ruleComponent_in_ruleSystem213);
            	    lv_components_6_0=ruleComponent();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getSystemRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"components",
            	            		lv_components_6_0, 
            	            		"Component");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }


            	    }
            	    break;

            	default :
            	    break loop1;
                }
            } while (true);

            otherlv_7=(Token)match(input,15,FollowSets000.FOLLOW_15_in_ruleSystem227); 

                	newLeafNode(otherlv_7, grammarAccess.getSystemAccess().getRightCurlyBracketKeyword_6());
                
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:140:1: (otherlv_8= 'connectors' otherlv_9= '{' ( (lv_connectors_10_0= ruleConnector ) ) (otherlv_11= ',' ( (lv_connectors_12_0= ruleConnector ) ) )* otherlv_13= '}' )?
            int alt3=2;
            int LA3_0 = input.LA(1);

            if ( (LA3_0==16) ) {
                alt3=1;
            }
            switch (alt3) {
                case 1 :
                    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:140:3: otherlv_8= 'connectors' otherlv_9= '{' ( (lv_connectors_10_0= ruleConnector ) ) (otherlv_11= ',' ( (lv_connectors_12_0= ruleConnector ) ) )* otherlv_13= '}'
                    {
                    otherlv_8=(Token)match(input,16,FollowSets000.FOLLOW_16_in_ruleSystem240); 

                        	newLeafNode(otherlv_8, grammarAccess.getSystemAccess().getConnectorsKeyword_7_0());
                        
                    otherlv_9=(Token)match(input,12,FollowSets000.FOLLOW_12_in_ruleSystem252); 

                        	newLeafNode(otherlv_9, grammarAccess.getSystemAccess().getLeftCurlyBracketKeyword_7_1());
                        
                    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:148:1: ( (lv_connectors_10_0= ruleConnector ) )
                    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:149:1: (lv_connectors_10_0= ruleConnector )
                    {
                    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:149:1: (lv_connectors_10_0= ruleConnector )
                    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:150:3: lv_connectors_10_0= ruleConnector
                    {
                     
                    	        newCompositeNode(grammarAccess.getSystemAccess().getConnectorsConnectorParserRuleCall_7_2_0()); 
                    	    
                    pushFollow(FollowSets000.FOLLOW_ruleConnector_in_ruleSystem273);
                    lv_connectors_10_0=ruleConnector();

                    state._fsp--;


                    	        if (current==null) {
                    	            current = createModelElementForParent(grammarAccess.getSystemRule());
                    	        }
                           		add(
                           			current, 
                           			"connectors",
                            		lv_connectors_10_0, 
                            		"Connector");
                    	        afterParserOrEnumRuleCall();
                    	    

                    }


                    }

                    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:166:2: (otherlv_11= ',' ( (lv_connectors_12_0= ruleConnector ) ) )*
                    loop2:
                    do {
                        int alt2=2;
                        int LA2_0 = input.LA(1);

                        if ( (LA2_0==14) ) {
                            alt2=1;
                        }


                        switch (alt2) {
                    	case 1 :
                    	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:166:4: otherlv_11= ',' ( (lv_connectors_12_0= ruleConnector ) )
                    	    {
                    	    otherlv_11=(Token)match(input,14,FollowSets000.FOLLOW_14_in_ruleSystem286); 

                    	        	newLeafNode(otherlv_11, grammarAccess.getSystemAccess().getCommaKeyword_7_3_0());
                    	        
                    	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:170:1: ( (lv_connectors_12_0= ruleConnector ) )
                    	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:171:1: (lv_connectors_12_0= ruleConnector )
                    	    {
                    	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:171:1: (lv_connectors_12_0= ruleConnector )
                    	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:172:3: lv_connectors_12_0= ruleConnector
                    	    {
                    	     
                    	    	        newCompositeNode(grammarAccess.getSystemAccess().getConnectorsConnectorParserRuleCall_7_3_1_0()); 
                    	    	    
                    	    pushFollow(FollowSets000.FOLLOW_ruleConnector_in_ruleSystem307);
                    	    lv_connectors_12_0=ruleConnector();

                    	    state._fsp--;


                    	    	        if (current==null) {
                    	    	            current = createModelElementForParent(grammarAccess.getSystemRule());
                    	    	        }
                    	           		add(
                    	           			current, 
                    	           			"connectors",
                    	            		lv_connectors_12_0, 
                    	            		"Connector");
                    	    	        afterParserOrEnumRuleCall();
                    	    	    

                    	    }


                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop2;
                        }
                    } while (true);

                    otherlv_13=(Token)match(input,15,FollowSets000.FOLLOW_15_in_ruleSystem321); 

                        	newLeafNode(otherlv_13, grammarAccess.getSystemAccess().getRightCurlyBracketKeyword_7_4());
                        

                    }
                    break;

            }

            otherlv_14=(Token)match(input,15,FollowSets000.FOLLOW_15_in_ruleSystem335); 

                	newLeafNode(otherlv_14, grammarAccess.getSystemAccess().getRightCurlyBracketKeyword_8());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleSystem"


    // $ANTLR start "entryRuleComponent"
    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:204:1: entryRuleComponent returns [EObject current=null] : iv_ruleComponent= ruleComponent EOF ;
    public final EObject entryRuleComponent() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleComponent = null;


        try {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:205:2: (iv_ruleComponent= ruleComponent EOF )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:206:2: iv_ruleComponent= ruleComponent EOF
            {
             newCompositeNode(grammarAccess.getComponentRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleComponent_in_entryRuleComponent371);
            iv_ruleComponent=ruleComponent();

            state._fsp--;

             current =iv_ruleComponent; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleComponent381); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleComponent"


    // $ANTLR start "ruleComponent"
    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:213:1: ruleComponent returns [EObject current=null] : (otherlv_0= 'Component' ( (lv_name_1_0= ruleEString ) ) otherlv_2= '{' otherlv_3= 'ports' otherlv_4= '{' ( (lv_ports_5_0= rulePort ) ) (otherlv_6= ',' ( (lv_ports_7_0= rulePort ) ) )* otherlv_8= '}' otherlv_9= '}' ) ;
    public final EObject ruleComponent() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token otherlv_2=null;
        Token otherlv_3=null;
        Token otherlv_4=null;
        Token otherlv_6=null;
        Token otherlv_8=null;
        Token otherlv_9=null;
        AntlrDatatypeRuleToken lv_name_1_0 = null;

        EObject lv_ports_5_0 = null;

        EObject lv_ports_7_0 = null;


         enterRule(); 
            
        try {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:216:28: ( (otherlv_0= 'Component' ( (lv_name_1_0= ruleEString ) ) otherlv_2= '{' otherlv_3= 'ports' otherlv_4= '{' ( (lv_ports_5_0= rulePort ) ) (otherlv_6= ',' ( (lv_ports_7_0= rulePort ) ) )* otherlv_8= '}' otherlv_9= '}' ) )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:217:1: (otherlv_0= 'Component' ( (lv_name_1_0= ruleEString ) ) otherlv_2= '{' otherlv_3= 'ports' otherlv_4= '{' ( (lv_ports_5_0= rulePort ) ) (otherlv_6= ',' ( (lv_ports_7_0= rulePort ) ) )* otherlv_8= '}' otherlv_9= '}' )
            {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:217:1: (otherlv_0= 'Component' ( (lv_name_1_0= ruleEString ) ) otherlv_2= '{' otherlv_3= 'ports' otherlv_4= '{' ( (lv_ports_5_0= rulePort ) ) (otherlv_6= ',' ( (lv_ports_7_0= rulePort ) ) )* otherlv_8= '}' otherlv_9= '}' )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:217:3: otherlv_0= 'Component' ( (lv_name_1_0= ruleEString ) ) otherlv_2= '{' otherlv_3= 'ports' otherlv_4= '{' ( (lv_ports_5_0= rulePort ) ) (otherlv_6= ',' ( (lv_ports_7_0= rulePort ) ) )* otherlv_8= '}' otherlv_9= '}'
            {
            otherlv_0=(Token)match(input,17,FollowSets000.FOLLOW_17_in_ruleComponent418); 

                	newLeafNode(otherlv_0, grammarAccess.getComponentAccess().getComponentKeyword_0());
                
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:221:1: ( (lv_name_1_0= ruleEString ) )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:222:1: (lv_name_1_0= ruleEString )
            {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:222:1: (lv_name_1_0= ruleEString )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:223:3: lv_name_1_0= ruleEString
            {
             
            	        newCompositeNode(grammarAccess.getComponentAccess().getNameEStringParserRuleCall_1_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_ruleComponent439);
            lv_name_1_0=ruleEString();

            state._fsp--;


            	        if (current==null) {
            	            current = createModelElementForParent(grammarAccess.getComponentRule());
            	        }
                   		set(
                   			current, 
                   			"name",
                    		lv_name_1_0, 
                    		"EString");
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            otherlv_2=(Token)match(input,12,FollowSets000.FOLLOW_12_in_ruleComponent451); 

                	newLeafNode(otherlv_2, grammarAccess.getComponentAccess().getLeftCurlyBracketKeyword_2());
                
            otherlv_3=(Token)match(input,18,FollowSets000.FOLLOW_18_in_ruleComponent463); 

                	newLeafNode(otherlv_3, grammarAccess.getComponentAccess().getPortsKeyword_3());
                
            otherlv_4=(Token)match(input,12,FollowSets000.FOLLOW_12_in_ruleComponent475); 

                	newLeafNode(otherlv_4, grammarAccess.getComponentAccess().getLeftCurlyBracketKeyword_4());
                
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:251:1: ( (lv_ports_5_0= rulePort ) )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:252:1: (lv_ports_5_0= rulePort )
            {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:252:1: (lv_ports_5_0= rulePort )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:253:3: lv_ports_5_0= rulePort
            {
             
            	        newCompositeNode(grammarAccess.getComponentAccess().getPortsPortParserRuleCall_5_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_rulePort_in_ruleComponent496);
            lv_ports_5_0=rulePort();

            state._fsp--;


            	        if (current==null) {
            	            current = createModelElementForParent(grammarAccess.getComponentRule());
            	        }
                   		add(
                   			current, 
                   			"ports",
                    		lv_ports_5_0, 
                    		"Port");
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:269:2: (otherlv_6= ',' ( (lv_ports_7_0= rulePort ) ) )*
            loop4:
            do {
                int alt4=2;
                int LA4_0 = input.LA(1);

                if ( (LA4_0==14) ) {
                    alt4=1;
                }


                switch (alt4) {
            	case 1 :
            	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:269:4: otherlv_6= ',' ( (lv_ports_7_0= rulePort ) )
            	    {
            	    otherlv_6=(Token)match(input,14,FollowSets000.FOLLOW_14_in_ruleComponent509); 

            	        	newLeafNode(otherlv_6, grammarAccess.getComponentAccess().getCommaKeyword_6_0());
            	        
            	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:273:1: ( (lv_ports_7_0= rulePort ) )
            	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:274:1: (lv_ports_7_0= rulePort )
            	    {
            	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:274:1: (lv_ports_7_0= rulePort )
            	    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:275:3: lv_ports_7_0= rulePort
            	    {
            	     
            	    	        newCompositeNode(grammarAccess.getComponentAccess().getPortsPortParserRuleCall_6_1_0()); 
            	    	    
            	    pushFollow(FollowSets000.FOLLOW_rulePort_in_ruleComponent530);
            	    lv_ports_7_0=rulePort();

            	    state._fsp--;


            	    	        if (current==null) {
            	    	            current = createModelElementForParent(grammarAccess.getComponentRule());
            	    	        }
            	           		add(
            	           			current, 
            	           			"ports",
            	            		lv_ports_7_0, 
            	            		"Port");
            	    	        afterParserOrEnumRuleCall();
            	    	    

            	    }


            	    }


            	    }
            	    break;

            	default :
            	    break loop4;
                }
            } while (true);

            otherlv_8=(Token)match(input,15,FollowSets000.FOLLOW_15_in_ruleComponent544); 

                	newLeafNode(otherlv_8, grammarAccess.getComponentAccess().getRightCurlyBracketKeyword_7());
                
            otherlv_9=(Token)match(input,15,FollowSets000.FOLLOW_15_in_ruleComponent556); 

                	newLeafNode(otherlv_9, grammarAccess.getComponentAccess().getRightCurlyBracketKeyword_8());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleComponent"


    // $ANTLR start "entryRuleConnector"
    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:307:1: entryRuleConnector returns [EObject current=null] : iv_ruleConnector= ruleConnector EOF ;
    public final EObject entryRuleConnector() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleConnector = null;


        try {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:308:2: (iv_ruleConnector= ruleConnector EOF )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:309:2: iv_ruleConnector= ruleConnector EOF
            {
             newCompositeNode(grammarAccess.getConnectorRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleConnector_in_entryRuleConnector592);
            iv_ruleConnector=ruleConnector();

            state._fsp--;

             current =iv_ruleConnector; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleConnector602); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleConnector"


    // $ANTLR start "ruleConnector"
    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:316:1: ruleConnector returns [EObject current=null] : (otherlv_0= 'Connector' otherlv_1= '{' otherlv_2= 'endA' ( ( ruleEString ) ) otherlv_4= 'endB' ( ( ruleEString ) ) otherlv_6= '}' ) ;
    public final EObject ruleConnector() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token otherlv_1=null;
        Token otherlv_2=null;
        Token otherlv_4=null;
        Token otherlv_6=null;

         enterRule(); 
            
        try {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:319:28: ( (otherlv_0= 'Connector' otherlv_1= '{' otherlv_2= 'endA' ( ( ruleEString ) ) otherlv_4= 'endB' ( ( ruleEString ) ) otherlv_6= '}' ) )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:320:1: (otherlv_0= 'Connector' otherlv_1= '{' otherlv_2= 'endA' ( ( ruleEString ) ) otherlv_4= 'endB' ( ( ruleEString ) ) otherlv_6= '}' )
            {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:320:1: (otherlv_0= 'Connector' otherlv_1= '{' otherlv_2= 'endA' ( ( ruleEString ) ) otherlv_4= 'endB' ( ( ruleEString ) ) otherlv_6= '}' )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:320:3: otherlv_0= 'Connector' otherlv_1= '{' otherlv_2= 'endA' ( ( ruleEString ) ) otherlv_4= 'endB' ( ( ruleEString ) ) otherlv_6= '}'
            {
            otherlv_0=(Token)match(input,19,FollowSets000.FOLLOW_19_in_ruleConnector639); 

                	newLeafNode(otherlv_0, grammarAccess.getConnectorAccess().getConnectorKeyword_0());
                
            otherlv_1=(Token)match(input,12,FollowSets000.FOLLOW_12_in_ruleConnector651); 

                	newLeafNode(otherlv_1, grammarAccess.getConnectorAccess().getLeftCurlyBracketKeyword_1());
                
            otherlv_2=(Token)match(input,20,FollowSets000.FOLLOW_20_in_ruleConnector663); 

                	newLeafNode(otherlv_2, grammarAccess.getConnectorAccess().getEndAKeyword_2());
                
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:332:1: ( ( ruleEString ) )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:333:1: ( ruleEString )
            {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:333:1: ( ruleEString )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:334:3: ruleEString
            {

            			if (current==null) {
            	            current = createModelElement(grammarAccess.getConnectorRule());
            	        }
                    
             
            	        newCompositeNode(grammarAccess.getConnectorAccess().getEndAPortCrossReference_3_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_ruleConnector686);
            ruleEString();

            state._fsp--;

             
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            otherlv_4=(Token)match(input,21,FollowSets000.FOLLOW_21_in_ruleConnector698); 

                	newLeafNode(otherlv_4, grammarAccess.getConnectorAccess().getEndBKeyword_4());
                
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:351:1: ( ( ruleEString ) )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:352:1: ( ruleEString )
            {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:352:1: ( ruleEString )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:353:3: ruleEString
            {

            			if (current==null) {
            	            current = createModelElement(grammarAccess.getConnectorRule());
            	        }
                    
             
            	        newCompositeNode(grammarAccess.getConnectorAccess().getEndBPortCrossReference_5_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_ruleConnector721);
            ruleEString();

            state._fsp--;

             
            	        afterParserOrEnumRuleCall();
            	    

            }


            }

            otherlv_6=(Token)match(input,15,FollowSets000.FOLLOW_15_in_ruleConnector733); 

                	newLeafNode(otherlv_6, grammarAccess.getConnectorAccess().getRightCurlyBracketKeyword_6());
                

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleConnector"


    // $ANTLR start "entryRulePort"
    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:378:1: entryRulePort returns [EObject current=null] : iv_rulePort= rulePort EOF ;
    public final EObject entryRulePort() throws RecognitionException {
        EObject current = null;

        EObject iv_rulePort = null;


        try {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:379:2: (iv_rulePort= rulePort EOF )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:380:2: iv_rulePort= rulePort EOF
            {
             newCompositeNode(grammarAccess.getPortRule()); 
            pushFollow(FollowSets000.FOLLOW_rulePort_in_entryRulePort769);
            iv_rulePort=rulePort();

            state._fsp--;

             current =iv_rulePort; 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRulePort779); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRulePort"


    // $ANTLR start "rulePort"
    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:387:1: rulePort returns [EObject current=null] : ( () otherlv_1= 'Port' ( (lv_name_2_0= ruleEString ) ) ) ;
    public final EObject rulePort() throws RecognitionException {
        EObject current = null;

        Token otherlv_1=null;
        AntlrDatatypeRuleToken lv_name_2_0 = null;


         enterRule(); 
            
        try {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:390:28: ( ( () otherlv_1= 'Port' ( (lv_name_2_0= ruleEString ) ) ) )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:391:1: ( () otherlv_1= 'Port' ( (lv_name_2_0= ruleEString ) ) )
            {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:391:1: ( () otherlv_1= 'Port' ( (lv_name_2_0= ruleEString ) ) )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:391:2: () otherlv_1= 'Port' ( (lv_name_2_0= ruleEString ) )
            {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:391:2: ()
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:392:5: 
            {

                    current = forceCreateModelElement(
                        grammarAccess.getPortAccess().getPortAction_0(),
                        current);
                

            }

            otherlv_1=(Token)match(input,22,FollowSets000.FOLLOW_22_in_rulePort825); 

                	newLeafNode(otherlv_1, grammarAccess.getPortAccess().getPortKeyword_1());
                
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:401:1: ( (lv_name_2_0= ruleEString ) )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:402:1: (lv_name_2_0= ruleEString )
            {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:402:1: (lv_name_2_0= ruleEString )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:403:3: lv_name_2_0= ruleEString
            {
             
            	        newCompositeNode(grammarAccess.getPortAccess().getNameEStringParserRuleCall_2_0()); 
            	    
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_rulePort846);
            lv_name_2_0=ruleEString();

            state._fsp--;


            	        if (current==null) {
            	            current = createModelElementForParent(grammarAccess.getPortRule());
            	        }
                   		set(
                   			current, 
                   			"name",
                    		lv_name_2_0, 
                    		"EString");
            	        afterParserOrEnumRuleCall();
            	    

            }


            }


            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "rulePort"


    // $ANTLR start "entryRuleEString"
    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:427:1: entryRuleEString returns [String current=null] : iv_ruleEString= ruleEString EOF ;
    public final String entryRuleEString() throws RecognitionException {
        String current = null;

        AntlrDatatypeRuleToken iv_ruleEString = null;


        try {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:428:2: (iv_ruleEString= ruleEString EOF )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:429:2: iv_ruleEString= ruleEString EOF
            {
             newCompositeNode(grammarAccess.getEStringRule()); 
            pushFollow(FollowSets000.FOLLOW_ruleEString_in_entryRuleEString883);
            iv_ruleEString=ruleEString();

            state._fsp--;

             current =iv_ruleEString.getText(); 
            match(input,EOF,FollowSets000.FOLLOW_EOF_in_entryRuleEString894); 

            }

        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleEString"


    // $ANTLR start "ruleEString"
    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:436:1: ruleEString returns [AntlrDatatypeRuleToken current=new AntlrDatatypeRuleToken()] : (this_STRING_0= RULE_STRING | this_ID_1= RULE_ID ) ;
    public final AntlrDatatypeRuleToken ruleEString() throws RecognitionException {
        AntlrDatatypeRuleToken current = new AntlrDatatypeRuleToken();

        Token this_STRING_0=null;
        Token this_ID_1=null;

         enterRule(); 
            
        try {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:439:28: ( (this_STRING_0= RULE_STRING | this_ID_1= RULE_ID ) )
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:440:1: (this_STRING_0= RULE_STRING | this_ID_1= RULE_ID )
            {
            // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:440:1: (this_STRING_0= RULE_STRING | this_ID_1= RULE_ID )
            int alt5=2;
            int LA5_0 = input.LA(1);

            if ( (LA5_0==RULE_STRING) ) {
                alt5=1;
            }
            else if ( (LA5_0==RULE_ID) ) {
                alt5=2;
            }
            else {
                NoViableAltException nvae =
                    new NoViableAltException("", 5, 0, input);

                throw nvae;
            }
            switch (alt5) {
                case 1 :
                    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:440:6: this_STRING_0= RULE_STRING
                    {
                    this_STRING_0=(Token)match(input,RULE_STRING,FollowSets000.FOLLOW_RULE_STRING_in_ruleEString934); 

                    		current.merge(this_STRING_0);
                        
                     
                        newLeafNode(this_STRING_0, grammarAccess.getEStringAccess().getSTRINGTerminalRuleCall_0()); 
                        

                    }
                    break;
                case 2 :
                    // ../org.xtext.simpleComponents/src-gen/org/xtext/parser/antlr/internal/InternalSimpleComponents.g:448:10: this_ID_1= RULE_ID
                    {
                    this_ID_1=(Token)match(input,RULE_ID,FollowSets000.FOLLOW_RULE_ID_in_ruleEString960); 

                    		current.merge(this_ID_1);
                        
                     
                        newLeafNode(this_ID_1, grammarAccess.getEStringAccess().getIDTerminalRuleCall_1()); 
                        

                    }
                    break;

            }


            }

             leaveRule(); 
        }
         
            catch (RecognitionException re) { 
                recover(input,re); 
                appendSkippedTokens();
            } 
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleEString"

    // Delegated rules


 

    
    private static class FollowSets000 {
        public static final BitSet FOLLOW_ruleSystem_in_entryRuleSystem75 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleSystem85 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_11_in_ruleSystem122 = new BitSet(new long[]{0x0000000000001000L});
        public static final BitSet FOLLOW_12_in_ruleSystem134 = new BitSet(new long[]{0x0000000000002000L});
        public static final BitSet FOLLOW_13_in_ruleSystem146 = new BitSet(new long[]{0x0000000000001000L});
        public static final BitSet FOLLOW_12_in_ruleSystem158 = new BitSet(new long[]{0x0000000000020000L});
        public static final BitSet FOLLOW_ruleComponent_in_ruleSystem179 = new BitSet(new long[]{0x000000000000C000L});
        public static final BitSet FOLLOW_14_in_ruleSystem192 = new BitSet(new long[]{0x0000000000020000L});
        public static final BitSet FOLLOW_ruleComponent_in_ruleSystem213 = new BitSet(new long[]{0x000000000000C000L});
        public static final BitSet FOLLOW_15_in_ruleSystem227 = new BitSet(new long[]{0x0000000000018000L});
        public static final BitSet FOLLOW_16_in_ruleSystem240 = new BitSet(new long[]{0x0000000000001000L});
        public static final BitSet FOLLOW_12_in_ruleSystem252 = new BitSet(new long[]{0x0000000000080000L});
        public static final BitSet FOLLOW_ruleConnector_in_ruleSystem273 = new BitSet(new long[]{0x000000000000C000L});
        public static final BitSet FOLLOW_14_in_ruleSystem286 = new BitSet(new long[]{0x0000000000080000L});
        public static final BitSet FOLLOW_ruleConnector_in_ruleSystem307 = new BitSet(new long[]{0x000000000000C000L});
        public static final BitSet FOLLOW_15_in_ruleSystem321 = new BitSet(new long[]{0x0000000000008000L});
        public static final BitSet FOLLOW_15_in_ruleSystem335 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleComponent_in_entryRuleComponent371 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleComponent381 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_17_in_ruleComponent418 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_ruleComponent439 = new BitSet(new long[]{0x0000000000001000L});
        public static final BitSet FOLLOW_12_in_ruleComponent451 = new BitSet(new long[]{0x0000000000040000L});
        public static final BitSet FOLLOW_18_in_ruleComponent463 = new BitSet(new long[]{0x0000000000001000L});
        public static final BitSet FOLLOW_12_in_ruleComponent475 = new BitSet(new long[]{0x0000000000400000L});
        public static final BitSet FOLLOW_rulePort_in_ruleComponent496 = new BitSet(new long[]{0x000000000000C000L});
        public static final BitSet FOLLOW_14_in_ruleComponent509 = new BitSet(new long[]{0x0000000000400000L});
        public static final BitSet FOLLOW_rulePort_in_ruleComponent530 = new BitSet(new long[]{0x000000000000C000L});
        public static final BitSet FOLLOW_15_in_ruleComponent544 = new BitSet(new long[]{0x0000000000008000L});
        public static final BitSet FOLLOW_15_in_ruleComponent556 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleConnector_in_entryRuleConnector592 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleConnector602 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_19_in_ruleConnector639 = new BitSet(new long[]{0x0000000000001000L});
        public static final BitSet FOLLOW_12_in_ruleConnector651 = new BitSet(new long[]{0x0000000000100000L});
        public static final BitSet FOLLOW_20_in_ruleConnector663 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_ruleConnector686 = new BitSet(new long[]{0x0000000000200000L});
        public static final BitSet FOLLOW_21_in_ruleConnector698 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_ruleConnector721 = new BitSet(new long[]{0x0000000000008000L});
        public static final BitSet FOLLOW_15_in_ruleConnector733 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_rulePort_in_entryRulePort769 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRulePort779 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_22_in_rulePort825 = new BitSet(new long[]{0x0000000000000030L});
        public static final BitSet FOLLOW_ruleEString_in_rulePort846 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_ruleEString_in_entryRuleEString883 = new BitSet(new long[]{0x0000000000000000L});
        public static final BitSet FOLLOW_EOF_in_entryRuleEString894 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_RULE_STRING_in_ruleEString934 = new BitSet(new long[]{0x0000000000000002L});
        public static final BitSet FOLLOW_RULE_ID_in_ruleEString960 = new BitSet(new long[]{0x0000000000000002L});
    }


}